unit Litecad;

interface
uses
  Windows;

const

LC_FALSE = 0;
LC_TRUE = 1;
LC_WS_HSCROLL = 1;
LC_WS_VSCROLL = 2;
LC_WS_BORDER = 4;
LC_WS_CLIENTEDGE = 8;
LC_WS_SUNKEN = 8;
LC_WS_STATICEDGE = 16;
LC_WS_VIEWTABS = 256;
LC_WS_RULERS = 512;
LC_WS_DEFAULT = 3;
LC_MRU_IMAGE_W = 246;
LC_MRU_IMAGE_H = 190;
LC_PS_SOLID = 0;
LC_PS_DASH = 1;
LC_PS_DOT = 2;
LC_PS_DASHDOT = 3;
LC_PS_DASHDOTDOT = 4;
LC_LW_THIN = 0;
LC_LW_REAL = 1;
LC_LW_PIXEL = 2;
LC_FILL_SOLID = 0;
LC_FILL_BDIAGONAL = 1;
LC_FILL_CROSS = 2;
LC_FILL_DIAGCROSS = 3;
LC_FILL_FDIAGONAL = 4;
LC_FILL_HORIZONTAL = 5;
LC_FILL_VERTICAL = 6;
LC_FILL_LINES = 101;
LC_IMGRES_BOX = 0;
LC_IMGRES_BILINEAR = 1;
LC_IMGRES_BSPLINE = 2;
LC_IMGRES_BICUBIC = 3;
LC_IMGRES_CATMULLROM = 4;
LC_IMGRES_LANCZOS3 = 5;
LC_IMGPROC_GRAY = 1;
LC_IMGPROC_FLIPHOR = 2;
LC_IMGPROC_FLIPVER = 3;
LC_IMGPROC_ROT180 = 4;
LC_GRIP_POINT = 0;
LC_GRIP_CENROT = 1;
LC_GRIP_ANGLE = 2;
LC_GRIP_ANGLE2 = 3;
LC_GRIP_BEZIER = 4;
LC_GRIP_BEZIER0 = 5;
LC_GRIP_ARCRAD = 6;
LC_BARTYPE_CODE39 = 0;
LC_BARTYPE_CODE93 = 1;
LC_BARTYPE_CODE128 = 6;
LC_BARTYPE_EAN13 = 7;
LC_BARTYPE_ITF = 8;
LC_BARTYPE_EAN8 = 9;
LC_BARTYPE_QR = 21;
LC_BARTYPE_MQR = 22;
LC_BARTYPE_DMATRIX = 23;
LC_BARTYPE_DM = 23;
LC_BARTYPE_DMATRIXR = 24;
LC_BARTYPE_DMR = 24;
LC_BARC_QRECL_L = 0;
LC_BARC_QRECL_M = 1;
LC_BARC_QRECL_Q = 2;
LC_BARC_QRECL_H = 3;
LC_LEADER_TCENTER = 0;
LC_LEADER_TLEFT = 1;
LC_LEADER_TRIGHT = 2;
LC_LEADER_VERT = 1;
LC_LEADER_CORNER = 2;
LC_VPL_CLEAR = 1;
LC_VPL_ADD = 2;
LC_VPL_DELETE = 3;
LC_VPL_PROP_BEGIN = 4;
LC_VPL_PROP_END = 5;
LC_RAD_TO_DEG = 57.2957795130823208768;
LC_DEG_TO_RAD = 0.01745329251994329577;
LC_PI = 3.14159265358979323846;
LC_PI2 = 1.57079632679489661923;
LC_PI4 = 0.78539816339744830962;
LC_2PI = 6.28318530717958647692;
LC_DEG1 = 0.01745329251994329577;
LC_DEG2 = 0.03490658503988659154;
LC_DEG3 = 0.05235987755982988731;
LC_DEG4 = 0.06981317007977318308;
LC_DEG5 = 0.08726646259971647885;
LC_DEG6 = 0.10471975511965977462;
LC_DEG7 = 0.12217304763960307038;
LC_DEG8 = 0.13962634015954636615;
LC_DEG9 = 0.15707963267948966192;
LC_DEG10 = 0.17453292519943295769;
LC_DEG20 = 0.34906585039886591538;
LC_DEG30 = 0.52359877559829887308;
LC_DEG40 = 0.69813170079773183077;
LC_DEG45 = 0.78539816339744830962;
LC_DEG50 = 0.87266462599716478846;
LC_DEG60 = 1.04719755119659774615;
LC_DEG70 = 1.22173047639603070385;
LC_DEG80 = 1.39626340159546366154;
LC_DEG90 = 1.57079632679489661923;
LC_DEG180 = 3.14159265358979323846;
LC_DEG270 = 4.71238898038468985769;
LC_DEG360 = 6.28318530717958647692;
LC_INSUNIT_UNDEFINED = 0;
LC_INSUNIT_INCHES = 1;
LC_INSUNIT_FEET = 2;
LC_INSUNIT_MILES = 3;
LC_INSUNIT_MILLIMETERS = 4;
LC_INSUNIT_CENTIMETERS = 5;
LC_INSUNIT_METERS = 6;
LC_INSUNIT_KILOMETERS = 7;
LC_INSUNIT_MICROINCHES = 8;
LC_INSUNIT_MILS = 9;
LC_INSUNIT_YARDS = 10;
LC_INSUNIT_ANGSTROMS = 11;
LC_INSUNIT_NANOMETERS = 12;
LC_INSUNIT_MICRONS = 13;
LC_INSUNIT_DECIMETERS = 14;
LC_INSUNIT_DEKAMETERS = 15;
LC_INSUNIT_HECTOMETERS = 16;
LC_INSUNIT_GIGAMETERS = 17;
LC_INSUNIT_ASTRONOMICAL = 18;
LC_INSUNIT_LIGHTYEARS = 19;
LC_INSUNIT_PARSECS = 20;
LC_LUNIT_SCIEN = 1;
LC_LUNIT_DECIM = 2;
LC_LUNIT_ENGIN = 3;
LC_LUNIT_ARCHI = 4;
LC_LUNIT_FRACT = 5;
LC_AUNIT_DEGREE = 0;
LC_AUNIT_DMS = 1;
LC_AUNIT_GRAD = 2;
LC_AUNIT_RADIAN = 3;
LC_AUNIT_SURVEY = 4;
LC_ANGLE_DEGREE = 0;
LC_ANGLE_DMS = 1;
LC_ANGLE_GRAD = 2;
LC_ANGLE_RADIAN = 3;
LC_ANGLE_SURVEY = 4;
LC_PAPER_CUSTOM = 0;
LC_PAPER_USER = 0;
LC_PAPER_A0 = 1;
LC_PAPER_A1 = 2;
LC_PAPER_A2 = 3;
LC_PAPER_A3 = 4;
LC_PAPER_A4 = 5;
LC_PAPER_A5 = 6;
LC_PAPER_A6 = 7;
LC_PAPER_B0 = 11;
LC_PAPER_B1 = 12;
LC_PAPER_B2 = 13;
LC_PAPER_B3 = 14;
LC_PAPER_B4 = 15;
LC_PAPER_B5 = 16;
LC_PAPER_B6 = 17;
LC_PAPER_C0 = 21;
LC_PAPER_C1 = 22;
LC_PAPER_C2 = 23;
LC_PAPER_C3 = 24;
LC_PAPER_C4 = 25;
LC_PAPER_C5 = 26;
LC_PAPER_C6 = 27;
LC_PAPER_ANSI_A = 31;
LC_PAPER_ANSI_B = 32;
LC_PAPER_ANSI_C = 33;
LC_PAPER_ANSI_D = 34;
LC_PAPER_ANSI_E = 35;
LC_PAPER_LETTER = 36;
LC_PAPER_LEGAL = 37;
LC_PAPER_EXECUTIVE = 38;
LC_PAPER_LEDGER = 39;
LC_PAPER_UNLIMITED = 100;
LC_PAPER_PORTRAIT = 0;
LC_PAPER_BOOK = 0;
LC_PAPER_LANDSCAPE = 1;
LC_PAPER_ALBUM = 1;
LC_PRN_SCALELW = 1;
LC_PRN_1COLOR = 2;
LC_TA_LEFBOT = 0;
LC_TA_CENBOT = 1;
LC_TA_RIGBOT = 2;
LC_TA_LEFCEN = 3;
LC_TA_CENTER = 4;
LC_TA_RIGCEN = 5;
LC_TA_LEFTOP = 6;
LC_TA_CENTOP = 7;
LC_TA_RIGTOP = 8;
LC_TA_ALIGNED = 11;
LC_TA_FIT = 12;
LC_TEXT_BACKWARD = 2;
LC_TEXT_UPDOWN = 4;
LC_ATA_LEFT = 0;
LC_ATA_CENTER = 1;
LC_ATA_RIGHT = 2;
LC_BTA_LEFT = 0;
LC_BTA_CENTER = 1;
LC_BTA_RIGHT = 2;
LC_PLFIT_BULGE = 0;
LC_PLFIT_NONE = 0;
LC_PLFIT_QUAD = 5;
LC_PLFIT_CUBIC = 6;
LC_PLFIT_BEZIER = 7;
LC_PLFIT_SPLINE = 99;
LC_PLFIT_ROUND = 101;
LC_PLFIT_LINQUAD = 102;
LC_POINT_PIXEL = 0;
LC_POINT_NONE = 1;
LC_POINT_PLUS = 2;
LC_POINT_X = 3;
LC_POINT_TICK = 4;
LC_POINT_CIRCLE = 32;
LC_POINT_SQUARE = 64;
LC_POINT_RHOMB = 128;
LC_POINT_FILLED = 256;
LC_POINT_BEAM0 = 10000;
LC_POINT_BEAM1 = 10001;
LC_BLK_ENT_RETAIN = 0;
LC_BLK_ENT_CONVERT = 1;
LC_BLK_ENT_DELETE = 2;
LC_EA_LEFT = 1;
LC_EA_TOP = 2;
LC_EA_RIGHT = 3;
LC_EA_BOTTOM = 4;
LC_EA_CENTER = 5;
LC_EA_CENTERX = 6;
LC_EA_CENTERY = 7;
LC_IMGA_CENTER = 0;
LC_IMGA_LEFBOT = 1;
LC_IMGA_RIGBOT = 2;
LC_IMGA_LEFTOP = 3;
LC_IMGA_RIGTOP = 4;
LC_LBUTTON = 1;
LC_RBUTTON = 2;
LC_MBUTTON = 4;
LC_SHIFT = 1;
LC_CTRL = 2;
LC_ALT = 4;
LC_KBD_QWERTY = 0;
LC_KBD_AZERTY = 1;
LC_KBD_QWERTZ = 2;
LC_CURSOR_NULL = 0;
LC_CURSOR_ARROW = 1;
LC_CURSOR_CROSS = 2;
LC_CURSOR_HAND = 3;
LC_CURSOR_HELP = 4;
LC_CURSOR_NO = 5;
LC_CURSOR_WAIT = 6;
LC_CURSOR_PAN1 = 7;
LC_CURSOR_PAN2 = 8;
LC_EXP_OUTLINE = 1;
LC_EXP_HATCH = 2;
LC_EXP_ALL = 3;
LC_EXP_MAXRESOL = 4;
LC_EMUL_START = 0;
LC_EMUL_STOP = 1;
LC_EMUL_PARAMS = 2;
LC_MAG_ZOOM_4 = 0;
LC_MAG_ZOOM_6 = 1;
LC_MAG_ZOOM_8 = 2;
LC_MAG_ZOOM_10 = 3;
LC_MAG_ZOOM_12 = 4;
LC_MAG_ZOOM_14 = 5;
LC_MAG_CENTER = 1;
LC_DRWEXP_PLINES = 0;
LC_DRWEXP_LINES = 1;
LC_DRWEXP_LARCS = 2;
LC_DRWEXP_LCA = 3;
LC_HELP_DG_PRINT = 1;
LC_HELP_DG_RASTER = 2;
LC_HELP_DG_GBR_APERS = 4;
LC_HELP_DG_GBR_BITMAP = 5;
LC_HELP_DG_COLOR = 10;
LC_HELP_DG_LAYERS = 11;
LC_HELP_DG_SELLTYPE = 12;
LC_HELP_DG_LINETYPES = 13;
LC_HELP_DG_LOADLINETYPE = 14;
LC_HELP_DG_TEXTSTYLES = 15;
LC_HELP_DG_PNTSTYLES = 16;
LC_HELP_DG_DIMSTYLES = 17;
LC_HELP_DG_MLSTYLES = 18;
LC_HELP_DG_HATSTYLES = 19;
LC_HELP_DG_BLOCKS = 20;
LC_HELP_DG_LAYOUTS = 21;
LC_HELP_DG_IMAGES = 22;
LC_HELP_DG_IMAGEINSERT = 23;
LC_HELP_DG_SELBLOCK = 30;
LC_HELP_DG_SELTSTYLE = 31;
LC_HELP_DG_SELPTYPE = 32;
LC_HELP_DG_CREBLOCK = 33;
LC_HELP_DG_PAGEPROP = 34;
LC_HELP_DG_SELFONT = 35;
LC_HELP_DG_TEXT = 40;
LC_HELP_DG_ARCTEXT = 41;
LC_HELP_DG_INPUTCOORD = 42;
LC_HELP_DG_WORKFIELD = 43;
LC_HELP_DG_CRBITMAP = 44;
LC_HELP_DG_INSERT = 45;
LC_HELP_DG_TSP = 51;
LC_HELP_DG_ARRAY = 52;
LC_HELP_DG_ARRAYARC = 53;
LC_HELP_DG_HATCH = 54;
LC_HELP_DG_GRID = 61;
LC_HELP_DG_PTRACK = 62;
LC_HELP_DG_OSNAP = 63;
LC_HELP_DG_KBMOVE = 64;
LC_HELP_DG_DRWPROPS = 65;
LC_HELP_DG_SYSPROPS = 66;
LC_HELP_DG_SELECTION = 67;
LC_HELP_DG_QSELECT = 68;
LC_HELP_DG_RPOLYGON = 69;
LC_HELP_DG_LIMITS = 70;
LC_HELP_DG_NDLSET = 71;
LC_HELP_DG_LMESH = 72;
LC_HELP_DG_CRECTS = 73;
LC_HELP_DG_SELLINFILL = 74;
LC_MB_OK = 0;
LC_MB_OKCANCEL = 1;
LC_MB_ABORTRETRYIGNORE = 2;
LC_MB_YESNOCANCEL = 3;
LC_MB_YESNO = 4;
LC_MB_RETRYCANCEL = 5;
LC_MB_CANCELTRYCONTINUE = 6;
LC_MB_HELP = 16384;
LC_MB_ICONSTOP = 16;
LC_MB_ICONERROR = 16;
LC_MB_ICONHAND = 16;
LC_MB_ICONQUESTION = 32;
LC_MB_ICONEXCLAMATION = 48;
LC_MB_ICONWARNING = 48;
LC_MB_ICONINFORMATION = 64;
LC_MB_ICONASTERISK = 64;
LC_UNDO_BEGIN = 0;
LC_UNDO_END = 1;
LC_UNDO_CLEAR = 2;
LC_ERR_OBJTYPE = 1;
LC_ERR_NOTAG = 2;
LC_ERR_USERCANCEL = 3;
LC_ERR_FILENAME = 4;
LC_ERR_FILELOAD = 5;
LC_ERR_FILESAVE = 6;
LC_ERR_UNRESBLOCKREF = 7;
LC_ERR_UNRESVIEWREF = 8;
LC_ERR_UNRESHATCH = 9;
LC_OBJ_LAYER = 1;
LC_OBJ_LINETYPE = 2;
LC_OBJ_TEXTSTYLE = 3;
LC_OBJ_DIMSTYLE = 4;
LC_OBJ_PNTSTYLE = 5;
LC_OBJ_IMAGE = 6;
LC_OBJ_MLSTYLE = 8;
LC_OBJ_LINFILL = 9;
LC_OBJ_BLOCK = 10;
LC_OBJ_LAYOUT = 11;
LC_ENT_LINE = 101;
LC_ENT_POLYLINE = 102;
LC_ENT_CIRCLE = 103;
LC_ENT_ARC = 104;
LC_ENT_BLOCKREF = 105;
LC_ENT_POINT = 107;
LC_ENT_XLINE = 108;
LC_ENT_ELLIPSE = 109;
LC_ENT_TEXT = 110;
LC_ENT_TEXTWIN = 111;
LC_ENT_IMAGEREF = 115;
LC_ENT_VIEWPORT = 116;
LC_ENT_CLIPRECT = 117;
LC_ENT_RECT = 118;
LC_ENT_ATTDEF = 120;
LC_ENT_ECW = 121;
LC_ENT_MTEXT = 122;
LC_ENT_ARCTEXT = 123;
LC_ENT_HATCH = 124;
LC_ENT_FACE = 126;
LC_ENT_MLINE = 127;
LC_ENT_DIMROT = 131;
LC_ENT_DIMLIN = 131;
LC_ENT_DIMALI = 132;
LC_ENT_DIMORD = 133;
LC_ENT_DIMRAD = 134;
LC_ENT_DIMDIA = 135;
LC_ENT_DIMANG = 136;
LC_ENT_LEADER = 137;
LC_ENT_RPLAN = 141;
LC_ENT_BARCODE = 150;
LC_ENT_SHAPE = 160;
LC_ENT_XREF = 199;
LC_ENT_ARROW = 301;
LC_ENT_SPIRAL = 302;
LC_ENT_CAMERA = 303;
LC_ENT_PTARRAY = 304;
LC_ENT_PATHTEXT = 305;
LC_ENT_BEZIER = 306;
LC_ENT_CUSTOM = 1000;
LC_ENT_ALL = 32767;
LC_LWEIGHT_DEFAULT = -3;
LC_LWEIGHT_BYBLOCK = -2;
LC_LWEIGHT_BYLAYER = -1;
LC_LWIDTH_DEFAULT = -3;
LC_LWIDTH_BYBLOCK = -2;
LC_LWIDTH_BYLAYER = -1;
LC_COLOR_RGB = 0;
LC_COLOR_INDEX = 1;
LC_COLOR_RED = 1;
LC_COLOR_YELLOW = 2;
LC_COLOR_GREEN = 3;
LC_COLOR_CYAN = 4;
LC_COLOR_BLUE = 5;
LC_COLOR_MAGENTA = 6;
LC_COLOR_FOREGROUND = 7;
LC_COLOR_GRAY = 8;
LC_COLOR_LTGRAY = 9;
LC_COLOR_BYBLOCK = 0;
LC_COLOR_BYLAYER = 256;
LC_COLOR_WIPEOUT = 259;
LC_MLINE_TOP = 0;
LC_MLINE_MIDDLE = 1;
LC_MLINE_BOTTOM = 2;
LC_TABLE_IDSET = 349000349;
LC_PLUG_IMPDRW = 2;
LC_PLUG_EXPDRW = 3;
LC_PLUG_IMGDIB = 4;
LC_FP_FLOAD = 0;
LC_FP_FSAVE = 1;
LC_FP_NITEMS = 2;
LC_FP_ITEM = 3;
LC_OSNAP_NULL = 0;
LC_OSNAP_NODE = 1;
LC_OSNAP_ENDPOINT = 2;
LC_OSNAP_MIDPOINT = 4;
LC_OSNAP_CENTER = 8;
LC_OSNAP_NEAREST = 16;
LC_OSNAP_INTER = 32;
LC_OSNAP_PERPEND = 64;
LC_OSNAP_TANGENT = 128;
LC_OSNAP_QUADRANT = 256;
LC_OSNAP_INSERT = 512;
LC_OSNAP_NONE = 1024;
LC_OSNAP_ALL = 1023;
LC_ATTRIB_HIDDEN = 1;
LC_ATTRIB_CONST = 2;
LC_ATTRIB_VERIFY = 4;
LC_ATTRIB_PRESET = 8;
LC_ATTRIB_LOCK = 16;
LC_ATTRIB_MTEXT = 32;
LC_FACE_EDGE1INVIS = 1;
LC_FACE_EDGE2INVIS = 2;
LC_FACE_EDGE3INVIS = 4;
LC_FACE_EDGE4INVIS = 8;
LC_FACE_EDGE1HIDDEN = 1;
LC_FACE_EDGE2HIDDEN = 2;
LC_FACE_EDGE3HIDDEN = 4;
LC_FACE_EDGE4HIDDEN = 8;
LC_BLOCK_OVERWRITENO = 0;
LC_BLOCK_OVERWRITEYES = 1;
LC_BLOCK_OVERWRITEDLG = 2;
LC_ARROW_CLOSEDF = 0;
LC_ARROW_CLOSEDB = 1;
LC_ARROW_CLOSED = 2;
LC_ARROW_DOT = 3;
LC_ARROW_ARCHTICK = 4;
LC_ARROW_OBLIQUE = 5;
LC_ARROW_OPEN = 6;
LC_ARROW_ORIGIN = 7;
LC_ARROW_ORIGIN2 = 8;
LC_ARROW_OPEN90 = 9;
LC_ARROW_OPEN30 = 10;
LC_ARROW_DOTSMALL = 11;
LC_ARROW_DOTB = 12;
LC_ARROW_DOTSMALLB = 13;
LC_ARROW_BOX = 14;
LC_ARROW_BOXF = 15;
LC_ARROW_DATUM = 16;
LC_ARROW_DATUMF = 17;
LC_ARROW_INTEGRAL = 18;
LC_ARROW_NONE = 19;
LC_COFO_NONE = 0;
LC_COFO_Y800 = 1;
LC_COFO_RGB24 = 2;
LC_COFO_RGB32 = 3;
LC_COFO_UYVY = 4;
LC_COFO_Y16 = 5;
LC_COFO_MEGA = 65536;
LC_CMD_FILESAVE = 1;
LC_CMD_FILESAVEAS = 2;
LC_CMD_PRINT = 3;
LC_CMD_RASTERIZE = 4;
LC_CMD_FILENEW = 5;
LC_CMD_FILEOPEN = 6;
LC_CMD_FILERECENT = 7;
LC_CMD_FILEINSERT = 8;
LC_CMD_ZOOM_IN = 401;
LC_CMD_ZOOM_OUT = 402;
LC_CMD_ZOOM_EXT = 403;
LC_CMD_ZOOM_PAGE = 404;
LC_CMD_ZOOM_PREV = 405;
LC_CMD_ZOOM_LIM = 406;
LC_CMD_PAN_LEFT = 407;
LC_CMD_PAN_RIGHT = 408;
LC_CMD_PAN_UP = 409;
LC_CMD_PAN_DOWN = 410;
LC_CMD_ZOOM_WIN = 421;
LC_CMD_ZOOM_RECT = 421;
LC_CMD_ZOOM_SEL = 422;
LC_CMD_PAGENEXT = 423;
LC_CMD_PAGEPREV = 424;
LC_CMD_PAGEMODEL = 425;
LC_CMD_PAGEVPORT = 426;
LC_CMD_VP_ACT = 427;
LC_CMD_VP_DEACT = 428;
LC_CMD_EDITMODE_ON = 429;
LC_CMD_EDITMODE_OFF = 430;
LC_CMD_MAGON = 431;
LC_CMD_MAGOFF = 432;
LC_CMD_MAGPRM = 433;
LC_CMD_MAGZOOM4 = 434;
LC_CMD_MAGZOOM6 = 435;
LC_CMD_MAGZOOM8 = 436;
LC_CMD_MAGZOOM10 = 437;
LC_CMD_MAGZOOM12 = 438;
LC_CMD_MAGZOOM14 = 439;
LC_CMD_GRID = 101;
LC_CMD_OSNAP = 102;
LC_CMD_PTRACK = 103;
LC_CMD_SELOPTS = 104;
LC_CMD_QSELECT = 105;
LC_CMD_KBMOVE = 106;
LC_CMD_DIST = 111;
LC_CMD_AREA = 112;
LC_CMD_SCALEBLK = 113;
LC_CMD_TSP2 = 116;
LC_CMD_LIMITS = 117;
LC_CMD_SAVESTR = 118;
LC_CMD_DELDUPVER = 119;
LC_CMD_DELEXVER = 120;
LC_CMD_UNHIDE = 136;
LC_CMD_PLUGINS = 141;
LC_CMD_CENTERCURSOR = 142;
LC_CMD_HELP = 1001;
LC_CMD_RESET = 1003;
LC_CMD_POINT = 201;
LC_CMD_LINE = 202;
LC_LINE_SERIAL = 1;
LC_LINE_SEPARATE = 2;
LC_LINE_CONT = 3;
LC_CMD_XLINE = 203;
LC_XLINE_BASE = 1;
LC_XLINE_ANG = 2;
LC_XLINE_SEP = 3;
LC_XLINE_RAY = 4;
LC_XLINE_XLINE = 5;
LC_CMD_LMESH = 204;
LC_CMD_POLYLINE = 205;
LC_CMD_PLINE = 205;
LC_CMD_SPLINE = 206;
LC_CMD_RPOLYGON = 207;
LC_CMD_RECT = 208;
LC_RECT_2P = 1;
LC_RECT_3P = 2;
LC_RECT_CSA = 3;
LC_CMD_CIRCLE = 209;
LC_CIRCLE_CR = 1;
LC_CIRCLE_2P = 2;
LC_CIRCLE_3P = 3;
LC_CMD_ARC = 210;
LC_ARC_SME = 1;
LC_ARC_SEM = 2;
LC_ARC_SEC = 3;
LC_ARC_SED = 4;
LC_ARC_CSE = 5;
LC_ARC_CONT = 6;
LC_CMD_ELLIPSE = 211;
LC_ELL_AX = 1;
LC_ELL_CEN = 2;
LC_ELL_RECT = 3;
LC_CMD_TEXT = 212;
LC_CMD_TEXTW = 213;
LC_CMD_ATEXT = 214;
LC_CMD_ARCTEXT = 214;
LC_CMD_MTEXT = 215;
LC_CMD_INSERT = 216;
LC_CMD_BLOCKREF = 216;
LC_INSERT_DLG = 1;
LC_INSERT_NODLG = 2;
LC_INSERT_RESET = 3;
LC_CMD_BARCODE = 217;
LC_BARCODE_39 = 1;
LC_BARCODE_93 = 2;
LC_BARCODE_128 = 3;
LC_BARCODE_EAN13 = 4;
LC_BARCODE_EAN8 = 5;
LC_BARCODE_ITF = 6;
LC_BARCODE_MQR = 7;
LC_BARCODE_QR = 8;
LC_BARCODE_DMATRIX = 9;
LC_BARCODE_DM = 9;
LC_BARCODE_DMATRIXR = 10;
LC_BARCODE_DMR = 10;
LC_CMD_DIMLIN = 221;
LC_CMD_DIMROT = 221;
LC_CMD_DIMALI = 223;
LC_CMD_DIMORD = 224;
LC_CMD_DIMRAD = 225;
LC_CMD_DIMDIA = 226;
LC_CMD_DIMANG = 227;
LC_CMD_LEADER = 228;
LC_CMD_ARROW = 231;
LC_CMD_SPIRAL = 232;
LC_CMD_HATCH = 233;
LC_CMD_ECW = 234;
LC_CMD_VPORT = 235;
LC_CMD_VIEWPORT = 235;
LC_CMD_PTARRAY = 236;
LC_CMD_FACE = 238;
LC_CMD_SHAPE = 239;
LC_CMD_SKETCH = 240;
LC_CMD_RPLAN = 241;
LC_CMD_MLINE = 242;
LC_CMD_BEZIER = 243;
LC_CMD_TIN_CLEAR = 251;
LC_CMD_TIN_LOAD = 252;
LC_CMD_TIN_SAVE = 253;
LC_CMD_TIN_PROPS = 254;
LC_CMD_TIN_GENISO = 255;
LC_CMD_TIN_GENFILL = 256;
LC_CMD_TIN_ADDPT = 257;
LC_CMD_TIN_LOADPT = 258;
LC_CMD_TIN_EDITPT = 259;
LC_CMD_TIN_DELPT = 260;
LC_CMD_TIN_DELPTDUP = 261;
LC_CMD_TIN_DELTRALL = 262;
LC_CMD_TIN_DELTR = 263;
LC_CMD_TIN_SWAPTR = 264;
LC_CMD_TIN_ZOOM = 265;
LC_CMD_TIN_BND = 266;
LC_CMD_TIN_BNDEDIT = 267;
LC_CMD_TIN_BNDAUTO = 268;
LC_CMD_TIN_BNDTRANG = 269;
LC_CMD_TIN_BNDDELTR = 270;
LC_CMD_TIN_BNDDELPT = 271;
LC_CMD_TIN_BNDCLEAR = 272;
LC_CMD_TIN_BNDSAVE = 273;
LC_CMD_TIN_ISOTODRW = 274;
LC_CMD_TIN_TILES = 275;
LC_CMD_TIN_Z = 276;
LC_CMD_TINTILES = 277;
LC_CMD_TINZ = 278;
LC_CMD_TIN_STEP = 279;
LC_CMD_SW_GRID = 1011;
LC_CMD_SW_GRIDSNAP = 1012;
LC_CMD_SW_OSNAP = 1014;
LC_CMD_SW_PTRACK = 1015;
LC_CMD_SW_POLAR = 1015;
LC_CMD_SW_ORTHO = 1016;
LC_CMD_CBCUT = 301;
LC_CMD_CBCOPY = 302;
LC_CMD_CBPASTE = 303;
LC_CMD_UNDO = 304;
LC_CMD_REDO = 305;
LC_CMD_UNDOCLEAR = 351;
LC_CMD_COPY = 306;
LC_COPY_MOVE = 1;
LC_COPY_ROTATE = 2;
LC_COPY_SCALE = 3;
LC_COPY_MIRROR = 4;
LC_COPY_ARRRECT = 5;
LC_COPY_ARRCIRC = 6;
LC_CMD_ERASE = 307;
LC_CMD_MOVE = 308;
LC_CMD_ROTATE = 309;
LC_CMD_SCALE = 310;
LC_CMD_MIRROR = 311;
LC_CMD_EXPLODE = 312;
LC_CMD_SPLIT = 313;
LC_CMD_JOIN = 314;
LC_CMD_DEP = 315;
LC_CMD_ORDER = 316;
LC_ORDER_FRONT = 1;
LC_ORDER_BACK = 2;
LC_ORDER_ABOVE = 3;
LC_ORDER_UNDER = 4;
LC_ORDER_SWAP = 5;
LC_CMD_ORDER_SEQ = 317;
LC_CMD_ALIGN = 318;
LC_ALIGN_LEFT = 1;
LC_ALIGN_RIGHT = 2;
LC_ALIGN_TOP = 3;
LC_ALIGN_BOTTOM = 4;
LC_ALIGN_CENTER = 5;
LC_ALIGN_CENX = 6;
LC_ALIGN_CENY = 7;
LC_CMD_CLOSEBLOCK = 319;
LC_CMD_BASEPOINT = 320;
LC_CMD_TRIM = 321;
LC_CMD_EXTEND = 322;
LC_CMD_OFFSET = 323;
LC_CMD_OFFSET_POINT = 0;
LC_CMD_OFFSET_DIST = 1;
LC_CMD_BREAK = 324;
LC_CMD_STRETCH = 325;
LC_CMD_FILLET = 326;
LC_CMD_IMGRES = 331;
LC_CMD_IMGPOS = 332;
LC_CMD_XHL = 341;
LC_CMD_XHP = 342;
LC_CMD_JOINALL = 345;
LC_CMD_ENTEXT = 348;
LC_CMD_JUMPS = 349;
LC_CMD_UNSIMG = 350;
LC_CMD_UPDATE = 354;
LC_CMD_DELOVER = 355;
LC_CMD_CMPD = 356;
LC_CMD_LAYER = 501;
LC_CMD_LAYERORD = 502;
LC_CMD_COLOR = 503;
LC_CMD_FCOLOR = 504;
LC_CMD_LINETYPE = 505;
LC_CMD_TEXTSTYLE = 507;
LC_CMD_BLOCK = 508;
LC_CMD_CREBLOCK = 508;
LC_CMD_BLOCKS = 509;
LC_CMD_IMAGE = 510;
LC_CMD_PNTSTYLE = 511;
LC_CMD_DIMSTYLE = 512;
LC_CMD_MLSTYLE = 513;
LC_CMD_LINFILL = 515;
LC_CMD_LAYOUT = 516;
LC_CMD_XREFS = 517;
LC_CMD_UNITS = 521;
LC_CMD_DRWPRM = 522;
LC_CMD_SYSPRM = 523;
LC_CMDBLOCK_EDIT = 32191;
LC_CMDBLOCK_ATT = 32192;
LC_CMD_EDITSHAPE = 32193;
LC_CMD_AKAGRIP = 29999;
LC_CMD_CUSTOM = 30000;
LC_PROP_G_REGCODE = 1;
LC_PROP_G_VERSION = 2;
LC_PROP_G_MSGTITLE = 3;
LC_PROP_G_HELPFILE = 10;
LC_PROP_G_DIRDLL = 11;
LC_PROP_G_DIRFONTS = 13;
LC_PROP_G_DIRLNG = 14;
LC_PROP_G_DIRTPL = 16;
LC_PROP_G_DIRCFG = 17;
LC_PROP_G_SAVECFG = 18;
LC_PROP_G_ICON16 = 20;
LC_PROP_G_ICON32 = 21;
LC_PROP_G_RULERBMP = 22;
LC_PROP_G_DLGVAL = 23;
LC_PROP_G_STR = 24;
LC_PROP_G_PRNUSEBMP = 25;
LC_PROP_G_PRNBMPFILE = 26;
LC_PROP_G_PRNBTNRAS = 27;
LC_PROP_G_PRNBTNSRIF = 28;
LC_PROP_G_PNTPIXSIZE = 29;
LC_PROP_G_GETDELENT = 30;
LC_PROP_G_SBARHEIGHT = 32;
LC_PROP_G_FILEPROGRESS = 33;
LC_PROP_G_FILEDEFEXT = 35;
LC_PROP_G_DEMOTEXT = 36;
LC_PROP_G_DEMOSIZE = 37;
LC_PROP_G_DEMOCOLOR = 38;
LC_PROP_G_TABCMDWND = 39;
LC_PROP_G_UNDOMSG = 40;
LC_PROP_G_MINCHARSIZE = 41;
LC_PROP_G_PANREDQUAL = 42;
LC_PROP_G_ENTEXT = 43;
LC_PROP_SEL_PICKBOXSIZE = 51;
LC_PROP_SEL_PICKBYRECT = 52;
LC_PROP_SEL_PICKDRAG = 53;
LC_PROP_SEL_PICKADD = 54;
LC_PROP_SEL_PICKBYLAYER = 55;
LC_PROP_SEL_PICKINPGON = 56;
LC_PROP_SEL_PICKINPGONF = 57;
LC_PROP_SEL_PICKINIMG = 58;
LC_PROP_SEL_COLORL1 = 59;
LC_PROP_SEL_COLORL2 = 60;
LC_PROP_SEL_COLORF = 61;
LC_PROP_SEL_HATCHFILL = 62;
LC_PROP_SEL_ENABLEGRIPS = 63;
LC_PROP_SEL_GRIPSIZE = 64;
LC_PROP_SEL_GRIPCOLORF = 65;
LC_PROP_SEL_GRIPCOLORB = 66;
LC_PROP_SEL_GRIPENTLIM = 67;
LC_PROP_SEL_GRIPNUM = 68;
LC_PROP_G_CAMERA_COUNT = 80;
LC_PROP_G_CAMERA_I = 81;
LC_PROP_G_CAMERA_INAME = 82;
LC_PROP_G_CAMERA_CONNECTED = 83;
LC_PROP_G_CAMERA_NAME = 84;
LC_PROP_G_CAMERA_TIME = 85;
LC_PROP_G_CAMERA_WIDTH = 86;
LC_PROP_G_CAMERA_HEIGHT = 87;
LC_PROP_G_CAMERA_BPP = 88;
LC_PROP_G_CAMERA_COFO = 89;
LC_PROP_G_CAMERA_BITS = 90;
LC_PROP_G_CAMERA_BPROW = 91;
LC_PROP_G_PTBUFNEWPTS = 131;
LC_PROP_G_PTBUFCLR = 132;
LC_PROP_G_MPGONCLR = 133;
LC_PROP_G_TEXT_ALIGN = 141;
LC_PROP_G_TEXT_H = 142;
LC_PROP_G_TEXT_WS = 143;
LC_PROP_G_TEXT_CSPACE = 144;
LC_PROP_G_TEXT_ANG = 145;
LC_PROP_G_TEXT_OBL = 146;
LC_PROP_G_TEXT_UPDOWN = 147;
LC_PROP_G_TEXT_BACK = 148;
LC_PROP_G_TEXT_FILL = 149;
LC_PROP_G_TEXT_BORDER = 150;
LC_PROP_G_BARC_CENTER = 161;
LC_PROP_G_BARC_ANGLE = 162;
LC_PROP_G_BARC_BELOW = 163;
LC_PROP_G_BARC_QZONE = 164;
LC_PROP_G_BARC_CHKSUM = 165;
LC_PROP_G_BARC_ECL = 166;
LC_PROP_G_BARC_INVERT = 167;
LC_PROP_G_BARC_WRATIO = 168;
LC_PROP_G_BARC_LINEW = 169;
LC_PROP_G_BEAMCOLOR0D = 191;
LC_PROP_G_BEAMCOLOR1D = 192;
LC_PROP_G_BEAMCOLOR2D = 193;
LC_PROP_G_BEAMCOLOR0U = 194;
LC_PROP_G_BEAMCOLOR1U = 195;
LC_PROP_G_BEAMCOLOR2U = 196;
LC_PROP_G_NAV_LEFT = 201;
LC_PROP_G_NAV_TOP = 202;
LC_PROP_G_NAV_WIDTH = 203;
LC_PROP_G_NAV_HEIGHT = 204;
LC_PROP_G_OSNAP_MARK = 226;
LC_PROP_G_OSNAP_APER = 227;
LC_PROP_G_OSNAP_MARKSIZE = 228;
LC_PROP_G_OSNAP_APERSIZE = 229;
LC_PROP_G_OSNAP_MARKCOLOR = 230;
LC_PROP_G_EMUL_OVERDIST = 232;
LC_PROP_G_EMUL_OVERCOLOR = 233;
LC_PROP_G_RAS_FILL = 250;
LC_PROP_G_RAS_COLOR = 251;
LC_PROP_G_RAS_NOPRINT = 252;
LC_PROP_WND_ID = 301;
LC_PROP_WND_WIDTH = 302;
LC_PROP_WND_HEIGHT = 303;
LC_PROP_WND_PIXELSIZE = 304;
LC_PROP_WND_PICKBOXSIZE = 305;
LC_PROP_WND_CURSORX = 306;
LC_PROP_WND_CURX = 306;
LC_PROP_WND_CURSORY = 307;
LC_PROP_WND_CURY = 307;
LC_PROP_WND_CURLEF = 308;
LC_PROP_WND_CURBOT = 309;
LC_PROP_WND_CURRIG = 310;
LC_PROP_WND_CURTOP = 311;
LC_PROP_WND_XMIN = 312;
LC_PROP_WND_YMIN = 313;
LC_PROP_WND_XMAX = 314;
LC_PROP_WND_YMAX = 315;
LC_PROP_WND_XCEN = 316;
LC_PROP_WND_YCEN = 317;
LC_PROP_WND_DX = 318;
LC_PROP_WND_DY = 319;
LC_PROP_WND_RULERS = 320;
LC_PROP_WND_SELECT = 321;
LC_PROP_WND_VIEWBLOCK = 323;
LC_PROP_WND_BLOCK = 323;
LC_PROP_WND_DRW = 324;
LC_PROP_WND_HWND = 325;
LC_PROP_WND_HASFOCUS = 326;
LC_PROP_WND_MAGNIFIER = 330;
LC_PROP_WND_NAVIGATOR = 331;
LC_PROP_WND_COLORBG = 332;
LC_PROP_WND_COLORCURSOR = 333;
LC_PROP_WND_COLORFORE = 334;
LC_PROP_WND_COLORINFBG = 335;
LC_PROP_WND_COLORINFBORD = 336;
LC_PROP_WND_COLORINFTEXT = 337;
LC_PROP_WND_CURSORSYS = 338;
LC_PROP_WND_CURSORARROW = 338;
LC_PROP_WND_CURSORCROSS = 339;
LC_PROP_WND_CURSORSIZE = 340;
LC_PROP_WND_COORDS = 341;
LC_PROP_WND_LWMODE = 345;
LC_PROP_WND_LWSCALE = 346;
LC_PROP_WND_ALPHABLEND = 350;
LC_PROP_WND_STDBLKFRAME = 351;
LC_PROP_WND_BLKBASEPT = 352;
LC_PROP_WND_SIZE = 353;
LC_PROP_WND_DTIME = 354;
LC_PROP_WND_DRAWPAPER = 355;
LC_PROP_WND_FROZEN = 356;
LC_PROP_WND_FROZENVIEW = 357;
LC_PROP_WND_COMMAND = 358;
LC_PROP_WND_CMD = 358;
LC_PROP_WND_CMDENT1 = 359;
LC_PROP_WND_OSNAP = 360;
LC_PROP_WND_OSNAPMENU = 361;
LC_PROP_WND_ORTHO = 362;
LC_PROP_WND_PTRACK = 363;
LC_PROP_WND_PTRACK_ANGLE = 364;
LC_PROP_WND_PTRACK_DIST = 365;
LC_PROP_WND_BASEPT = 367;
LC_PROP_WND_BASEX = 368;
LC_PROP_WND_BASEY = 369;
LC_PROP_WND_GRIDSNAP = 370;
LC_PROP_WND_GRIDSHOW = 371;
LC_PROP_WND_GRIDDX = 372;
LC_PROP_WND_GRIDDY = 373;
LC_PROP_WND_GRIDX0 = 374;
LC_PROP_WND_GRIDY0 = 375;
LC_PROP_WND_GRIDBOLDX = 376;
LC_PROP_WND_GRIDBOLDY = 377;
LC_PROP_WND_GRIDCOLOR = 378;
LC_PROP_WND_GRIDDOTTED = 379;
LC_PROP_WND_GRIDCOLOR2 = 380;
LC_PROP_WND_GRIDDOTTED2 = 381;
LC_PROP_WND_RSNAP = 382;
LC_PROP_WND_RSNAPSHOW = 383;
LC_PROP_WND_RSNAPLEF = 384;
LC_PROP_WND_RSNAPBOT = 385;
LC_PROP_WND_RSNAPRIG = 386;
LC_PROP_WND_RSNAPTOP = 387;
LC_PROP_WND_RSNAPW = 388;
LC_PROP_WND_RSNAPH = 389;
LC_PROP_WND_RSNAPCOLORM = 390;
LC_PROP_WND_RSNAPCOLORP = 391;
LC_PROP_WND_PANSTEP = 400;
LC_PROP_WND_PANLW = 401;
LC_PROP_WND_PANIMAGE = 402;
LC_PROP_WND_PANFILL = 403;
LC_PROP_WND_PANPIXSZ = 404;
LC_PROP_WND_MEASCOLORPNT = 410;
LC_PROP_WND_MEASCOLORLINE = 411;
LC_PROP_WND_MEASLINESIZE = 412;
LC_PROP_WND_MEASFONTSIZE = 413;
LC_PROP_WND_MEASFILLAREA = 414;
LC_PROP_WND_KBMOVE_ENABLE = 417;
LC_PROP_WND_KBMOVE_DIST = 418;
LC_PROP_WND_KBMOVE_ANGLE = 419;
LC_PROP_WND_KBMOVE_SCALE = 420;
LC_PROP_WND_XLINEANG = 424;
LC_PROP_WND_BGIMAGE = 425;
LC_PROP_WND_LTVIEWMIN = 426;
LC_PROP_WND_LTVIEWMAX = 427;
LC_PROP_WND_TINEXT = 428;
LC_PROP_WND_FRAME_LEFT = 496;
LC_PROP_WND_FRAME_TOP = 497;
LC_PROP_WND_FRAME_WIDTH = 498;
LC_PROP_WND_FRAME_HEIGHT = 499;
LC_PROP_SBAR_H = 501;
LC_PROP_SBAR_FONTNAME = 502;
LC_PROP_SBAR_FONTSIZE = 503;
LC_PROP_SBAR_TEXTY = 504;
LC_PROP_SBAR_TEXTCOLOR = 505;
LC_PROP_SBAR_BGCOLOR = 506;
LC_PROP_SBAR_FRAMECOLOR = 507;
LC_PROP_FONT_FILENAME = 601;
LC_PROP_FONT_NAME = 602;
LC_PROP_FONT_LCF = 603;
LC_PROP_FONT_HEIGHT = 604;
LC_PROP_FONT_FILLED = 605;
LC_PROP_FONT_TTF = 606;
LC_PROP_FONT_NCHARS = 607;
LC_PROP_MPGON_XMIN = 631;
LC_PROP_MPGON_YMIN = 632;
LC_PROP_MPGON_XMAX = 633;
LC_PROP_MPGON_YMAX = 634;
LC_PROP_MPGON_XCEN = 635;
LC_PROP_MPGON_YCEN = 636;
LC_PROP_MPGON_W = 637;
LC_PROP_MPGON_H = 638;
LC_PROP_TIN_PNT_I = 701;
LC_PROP_TIN_PNT_X = 702;
LC_PROP_TIN_PNT_Y = 703;
LC_PROP_TIN_PNT_Z = 704;
LC_PROP_TIN_PNT_NAME = 705;
LC_PROP_TIN_PNT_DESCR = 706;
LC_PROP_TIN_PNT_ICOLOR = 707;
LC_PROP_TIN_PNT_IMGFILE = 708;
LC_PROP_TIN_PNT_IMGFILE2 = 709;
LC_PROP_TIN_PNT_ATTR = 710;
LC_PROP_TIN_PNT_ATTR1 = 711;
LC_PROP_TIN_PNT_ATTR2 = 712;
LC_PROP_TIN_PNT_ATTR3 = 713;
LC_PROP_TIN_PNT_ATTR4 = 714;
LC_PROP_TIN_PNT_ATTR5 = 715;
LC_PROP_TIN_PNT_ATTR6 = 716;
LC_PROP_TIN_PNT_ATTR7 = 717;
LC_PROP_TIN_PNT_ATTR8 = 718;
LC_PROP_TIN_PNT_ATTR9 = 719;
LC_PROP_TIN_TR_I = 731;
LC_PROP_TIN_TR_PT0 = 732;
LC_PROP_TIN_TR_PT1 = 733;
LC_PROP_TIN_TR_PT2 = 734;
LC_PROP_TIN_TR_PT0X = 735;
LC_PROP_TIN_TR_PT0Y = 736;
LC_PROP_TIN_TR_PT0Z = 737;
LC_PROP_TIN_TR_PT1X = 738;
LC_PROP_TIN_TR_PT1Y = 739;
LC_PROP_TIN_TR_PT1Z = 740;
LC_PROP_TIN_TR_PT2X = 741;
LC_PROP_TIN_TR_PT2Y = 742;
LC_PROP_TIN_TR_PT2Z = 743;
LC_PROP_TIN_TR_XC = 744;
LC_PROP_TIN_TR_YC = 745;
LC_PROP_TIN_TR_ZC = 746;
LC_PROP_TIN_TR_NVX = 747;
LC_PROP_TIN_TR_NVY = 748;
LC_PROP_TIN_TR_NVZ = 749;
LC_PROP_TIN_TR_NANG = 750;
LC_PROP_TIN_TR_XMIN = 751;
LC_PROP_TIN_TR_YMIN = 752;
LC_PROP_TIN_TR_ZMIN = 753;
LC_PROP_TIN_TR_XMAX = 754;
LC_PROP_TIN_TR_YMAX = 755;
LC_PROP_TIN_TR_ZMAX = 756;
LC_PROP_TIN_TR_DX = 757;
LC_PROP_TIN_TR_DY = 758;
LC_PROP_TIN_TR_DZ = 759;
LC_PROP_TIN_TR_FLAGS = 760;
LC_PROP_TIN_TR_MARK = 761;
LC_PROP_TIN_FILENAME = 1801;
LC_PROP_TIN_EMBEDDED = 1802;
LC_PROP_TIN_XMIN = 1805;
LC_PROP_TIN_XMAX = 1806;
LC_PROP_TIN_YMIN = 1807;
LC_PROP_TIN_YMAX = 1808;
LC_PROP_TIN_ZMIN = 1809;
LC_PROP_TIN_ZMAX = 1810;
LC_PROP_TIN_DX = 1811;
LC_PROP_TIN_DY = 1812;
LC_PROP_TIN_DZ = 1813;
LC_PROP_TIN_NPOINTS = 1814;
LC_PROP_TIN_NTRIANS = 1815;
LC_PROP_TIN_NBNDPTS = 1816;
LC_PROP_TIN_NISOLINES = 1817;
LC_PROP_TIN_VIEWPT = 1821;
LC_PROP_TIN_VIEWPTN = 1822;
LC_PROP_TIN_VIEWPTI = 1823;
LC_PROP_TIN_VIEWPTZ = 1824;
LC_PROP_TIN_VIEWTR = 1825;
LC_PROP_TIN_VIEWTRF = 1826;
LC_PROP_TIN_VIEWTRI = 1827;
LC_PROP_TIN_VIEWTRV = 1828;
LC_PROP_TIN_VIEWBND = 1829;
LC_PROP_TIN_VIEWBNDI = 1830;
LC_PROP_TIN_VIEWISO = 1831;
LC_PROP_TIN_VIEWISOH = 1832;
LC_PROP_TIN_VIEWTILES = 1833;
LC_PROP_TIN_VIEWZ = 1834;
LC_PROP_TIN_NCOLPNT = 1841;
LC_PROP_TIN_ICOLPNT = 1842;
LC_PROP_TIN_COLPNT = 1843;
LC_PROP_TIN_COLTR = 1844;
LC_PROP_TIN_COLTRI = 1845;
LC_PROP_TIN_COLTRV = 1846;
LC_PROP_TIN_COLISO = 1847;
LC_PROP_TIN_COLISOB = 1848;
LC_PROP_TIN_ISOSTEP = 1851;
LC_PROP_TIN_ISOBOLD = 1852;
LC_PROP_TIN_ISOBASE = 1853;
LC_PROP_TIN_ISOSMOOTH = 1854;
LC_PROP_TIN_PNTIMGDIR = 1859;
LC_PROP_TIN_LX_PRJNAME = 1861;
LC_PROP_TIN_LX_APPNAME = 1862;
LC_PROP_TIN_LX_DESCR = 1863;
LC_PROP_TIN_LX_MANUF = 1864;
LC_PROP_TIN_LX_VER = 1865;
LC_PROP_TIN_LX_URL = 1866;
LC_PROP_TIN_LX_TIME = 1867;
LC_PROP_TIN_FILEFILTER = 1870;
LC_PROP_TIN_IMG_NX = 1871;
LC_PROP_TIN_IMG_NY = 1872;
LC_PROP_GRID_XMIN = 1882;
LC_PROP_GRID_XMAX = 1883;
LC_PROP_GRID_YMIN = 1884;
LC_PROP_GRID_YMAX = 1885;
LC_PROP_GRID_W = 1886;
LC_PROP_GRID_H = 1887;
LC_PROP_GRID_NCELLX = 1888;
LC_PROP_GRID_NCELLY = 1889;
LC_PROP_CMD_ID = 2001;
LC_PROP_CMD_PARAM = 2002;
LC_PROP_CMD_STEP = 2003;
LC_PROP_CMD_LCWND = 2004;
LC_PROP_CMD_HWND = 2005;
LC_PROP_CMD_DRW = 2006;
LC_PROP_CMD_BLOCK = 2007;
LC_PROP_CMD_CURSORCROSS = 2008;
LC_PROP_CMD_INT0 = 2010;
LC_PROP_CMD_INT1 = 2011;
LC_PROP_CMD_INT2 = 2012;
LC_PROP_CMD_INT3 = 2013;
LC_PROP_CMD_INT4 = 2014;
LC_PROP_CMD_INT5 = 2015;
LC_PROP_CMD_INT6 = 2016;
LC_PROP_CMD_INT7 = 2017;
LC_PROP_CMD_INT8 = 2018;
LC_PROP_CMD_INT9 = 2019;
LC_PROP_CMD_FLOAT0 = 2020;
LC_PROP_CMD_FLOAT1 = 2021;
LC_PROP_CMD_FLOAT2 = 2022;
LC_PROP_CMD_FLOAT3 = 2023;
LC_PROP_CMD_FLOAT4 = 2024;
LC_PROP_CMD_FLOAT5 = 2025;
LC_PROP_CMD_FLOAT6 = 2026;
LC_PROP_CMD_FLOAT7 = 2027;
LC_PROP_CMD_FLOAT8 = 2028;
LC_PROP_CMD_FLOAT9 = 2029;
LC_PROP_CMD_HAND0 = 2030;
LC_PROP_CMD_HAND1 = 2031;
LC_PROP_CMD_HAND2 = 2032;
LC_PROP_CMD_HAND3 = 2033;
LC_PROP_CMD_HAND4 = 2034;
LC_PROP_CMD_HAND5 = 2035;
LC_PROP_CMD_HAND6 = 2036;
LC_PROP_CMD_HAND7 = 2037;
LC_PROP_CMD_HAND8 = 2038;
LC_PROP_CMD_HAND9 = 2039;
LC_PROP_CMD_STR = 2040;
LC_PROP_DRW_UID = 3001;
LC_PROP_DRW_FILENAME = 3002;
LC_PROP_DRW_DESCR = 3003;
LC_PROP_DRW_COMMENT = 3003;
LC_PROP_DRW_READONLY = 3004;
LC_PROP_DRW_DIRTY = 3005;
LC_PROP_DRW_IDMAX = 3006;
LC_PROP_DRW_SYNCZOOM = 3011;
LC_PROP_DRW_HASALPHABLEND = 3013;
LC_PROP_DRW_BLKREFGRIPS = 3014;
LC_PROP_DRW_EXTOFFLAYER = 3019;
LC_PROP_DRW_ENABLEUNDO = 3021;
LC_PROP_DRW_COLORBACKM = 3031;
LC_PROP_DRW_COLORBACKP = 3032;
LC_PROP_DRW_COLORFOREM = 3033;
LC_PROP_DRW_COLORFOREP = 3034;
LC_PROP_DRW_COLORCURSORM = 3035;
LC_PROP_DRW_COLORCURSORP = 3036;
LC_PROP_DRW_COLORPAPER = 3037;
LC_PROP_DRW_LAYER = 3051;
LC_PROP_DRW_LINETYPE = 3052;
LC_PROP_DRW_LTSCALE = 3053;
LC_PROP_DRW_TEXTSTYLE = 3054;
LC_PROP_DRW_DIMSTYLE = 3055;
LC_PROP_DRW_PNTSTYLE = 3056;
LC_PROP_DRW_MLSTYLE = 3057;
LC_PROP_DRW_BLOCK = 3059;
LC_PROP_DRW_VISBLOCK = 3060;
LC_PROP_DRW_BARCTYPE = 3061;
LC_PROP_DRW_BARCSOLID = 3062;
LC_PROP_DRW_LWMODE = 3063;
LC_PROP_DRW_LWSCALE = 3064;
LC_PROP_DRW_LWIDTH = 3065;
LC_PROP_DRW_LWDEFAULT = 3066;
LC_PROP_DRW_COLOR = 3081;
LC_PROP_DRW_COLORBYLAYER = 3082;
LC_PROP_DRW_COLORBYBLOCK = 3083;
LC_PROP_DRW_COLORI = 3084;
LC_PROP_DRW_COLORT = 3085;
LC_PROP_DRW_FCOLOR = 3086;
LC_PROP_DRW_FCOLORBYLAYER = 3087;
LC_PROP_DRW_FCOLORBYBLOCK = 3088;
LC_PROP_DRW_FCOLORI = 3089;
LC_PROP_DRW_FCOLORT = 3090;
LC_PROP_DRW_LOCKSEL = 3109;
LC_PROP_DRW_EXPLODEARC = 3131;
LC_PROP_DRW_EXPPLINELA = 3132;
LC_PROP_DRW_EXPSIMPLINE = 3133;
LC_PROP_DRW_EXPTEXTSPLINE = 3134;
LC_PROP_DRW_BLOCK_MODEL = 3151;
LC_PROP_DRW_LAYER_0 = 3152;
LC_PROP_DRW_LINETYPE_CONT = 3153;
LC_PROP_DRW_LINETYPE_BYLAY = 3154;
LC_PROP_DRW_LINETYPE_BYBLK = 3155;
LC_PROP_DRW_TEXTSTYLE_STD = 3156;
LC_PROP_DRW_TSTYLE_STD = 3156;
LC_PROP_DRW_PNTSTYLE_STD = 3157;
LC_PROP_DRW_DIMSTYLE_STD = 3158;
LC_PROP_DRW_MLSTYLE_STD = 3159;
LC_PROP_DRW_RESOLARC = 3171;
LC_PROP_DRW_RESOLSPLINE = 3172;
LC_PROP_DRW_RESOLTEXT = 3173;
LC_PROP_DRW_LIM_MINPIXSIZE = 3181;
LC_PROP_DRW_LIM_MAXLEF = 3182;
LC_PROP_DRW_LIM_MAXBOT = 3183;
LC_PROP_DRW_LIM_MAXRIG = 3184;
LC_PROP_DRW_LIM_MAXTOP = 3185;
LC_PROP_DRW_LIM_MAXON = 3186;
LC_PROP_DRW_XDATASIZE = 3251;
LC_PROP_DRW_XDATA = 3252;
LC_PROP_DRW_INT0 = 3260;
LC_PROP_DRW_INT1 = 3261;
LC_PROP_DRW_INT2 = 3262;
LC_PROP_DRW_INT3 = 3263;
LC_PROP_DRW_INT4 = 3264;
LC_PROP_DRW_INT5 = 3265;
LC_PROP_DRW_INT6 = 3266;
LC_PROP_DRW_INT7 = 3267;
LC_PROP_DRW_INT8 = 3268;
LC_PROP_DRW_INT9 = 3269;
LC_PROP_DRW_FLOAT0 = 3270;
LC_PROP_DRW_FLOAT1 = 3271;
LC_PROP_DRW_FLOAT2 = 3272;
LC_PROP_DRW_FLOAT3 = 3273;
LC_PROP_DRW_FLOAT4 = 3274;
LC_PROP_DRW_FLOAT5 = 3275;
LC_PROP_DRW_FLOAT6 = 3276;
LC_PROP_DRW_FLOAT7 = 3277;
LC_PROP_DRW_FLOAT8 = 3278;
LC_PROP_DRW_FLOAT9 = 3279;
LC_PROP_DRW_STR0 = 3280;
LC_PROP_DRW_STR1 = 3281;
LC_PROP_DRW_STR2 = 3282;
LC_PROP_DRW_STR3 = 3283;
LC_PROP_DRW_STR4 = 3284;
LC_PROP_DRW_STR5 = 3285;
LC_PROP_DRW_STR6 = 3286;
LC_PROP_DRW_STR7 = 3287;
LC_PROP_DRW_STR8 = 3288;
LC_PROP_DRW_STR9 = 3289;
LC_PROP_TABLE_ID = 4001;
LC_PROP_TABLE_NAME = 4002;
LC_PROP_TABLE_DESC = 4003;
LC_PROP_TABLE_DESCR = 4003;
LC_PROP_TABLE_DRW = 4004;
LC_PROP_TABLE_DELETED = 4005;
LC_PROP_TABLE_ODHANDLE = 4010;
LC_PROP_TABLE_TYPE = 4011;
LC_PROP_TABLE_PRIORITY = 4012;
LC_PROP_TABLE_NREFS = 4013;
LC_PROP_TABLE_XDATASIZE = 4051;
LC_PROP_TABLE_XDATA = 4052;
LC_PROP_TABLE_XSTR = 4053;
LC_PROP_TABLE_INT0 = 4060;
LC_PROP_TABLE_INT1 = 4061;
LC_PROP_TABLE_INT2 = 4062;
LC_PROP_TABLE_INT3 = 4063;
LC_PROP_TABLE_INT4 = 4064;
LC_PROP_TABLE_FLOAT0 = 4070;
LC_PROP_TABLE_FLOAT1 = 4071;
LC_PROP_TABLE_FLOAT2 = 4072;
LC_PROP_TABLE_FLOAT3 = 4073;
LC_PROP_TABLE_FLOAT4 = 4074;
LC_PROP_LAYER_ID = 4001;
LC_PROP_LAYER_NAME = 4002;
LC_PROP_LAYER_DESC = 4003;
LC_PROP_LAYER_DESCR = 4003;
LC_PROP_LAYER_DRW = 4004;
LC_PROP_LAYER_DELETED = 4005;
LC_PROP_LAYER_COLOR = 4101;
LC_PROP_LAYER_COLORI = 4102;
LC_PROP_LAYER_COLORT = 4103;
LC_PROP_LAYER_FCOLOR = 4104;
LC_PROP_LAYER_FCOLORI = 4105;
LC_PROP_LAYER_FCOLORT = 4106;
LC_PROP_LAYER_LINETYPE = 4111;
LC_PROP_LAYER_LWEIGHT = 4112;
LC_PROP_LAYER_LWIDTH = 4112;
LC_PROP_LAYER_LOCKED = 4113;
LC_PROP_LAYER_NOPRINT = 4114;
LC_PROP_LAYER_VISIBLE = 4115;
LC_PROP_LAYER_0 = 4116;
LC_PROP_LAYER_NODLG = 4117;
LC_PROP_LAYER_JUMPLINES = 4118;
LC_PROP_LAYER_OSNAP = 4119;
LC_PROP_LAYER_NOEXPORT = 4120;
LC_PROP_LINETYPE_ID = 4001;
LC_PROP_LINETYPE_NAME = 4002;
LC_PROP_LINETYPE_DESC = 4003;
LC_PROP_LINETYPE_DESCR = 4003;
LC_PROP_LINETYPE_DRW = 4004;
LC_PROP_LINETYPE_DELETED = 4005;
LC_PROP_LINETYPE_DATA = 4145;
LC_PROP_LINETYPE_SCALE = 4146;
LC_PROP_LINETYPE_CONTINUOUS = 4147;
LC_PROP_LINETYPE_BYLAYER = 4148;
LC_PROP_LINETYPE_BYBLOCK = 4149;
LC_PROP_LINETYPE_STD = 4150;
LC_PROP_LINETYPE_PATLEN = 4151;
LC_PROP_LINETYPE_NELEM = 4153;
LC_PROP_LINETYPE_IELEM = 4154;
LC_PROP_LTELEM_LEN = 4155;
LC_PROP_LTELEM_COMPLEX = 4156;
LC_PROP_LTELEM_SHAPE = 4157;
LC_PROP_LTELEM_TEXT = 4158;
LC_PROP_LTELEM_STYLE = 4159;
LC_PROP_LTELEM_FONTNAME = 4160;
LC_PROP_LTELEM_SCALE = 4161;
LC_PROP_LTELEM_ANGLE = 4162;
LC_PROP_LTELEM_ABSANGLE = 4163;
LC_PROP_LTELEM_X = 4164;
LC_PROP_LTELEM_Y = 4165;
LC_PROP_TSTYLE_ID = 4001;
LC_PROP_TSTYLE_NAME = 4002;
LC_PROP_TSTYLE_DESC = 4003;
LC_PROP_TSTYLE_DESCR = 4003;
LC_PROP_TSTYLE_DRW = 4004;
LC_PROP_TSTYLE_DELETED = 4005;
LC_PROP_TSTYLE_FONT = 4175;
LC_PROP_TSTYLE_HFONT = 4176;
LC_PROP_TSTYLE_HEIGHT = 4177;
LC_PROP_TSTYLE_WSCALE = 4178;
LC_PROP_TSTYLE_OBLIQUE = 4179;
LC_PROP_TSTYLE_ANGLE = 4180;
LC_PROP_TSTYLE_ALIGN = 4181;
LC_PROP_TSTYLE_UPDOWN = 4182;
LC_PROP_TSTYLE_BACKWARD = 4183;
LC_PROP_TSTYLE_LINESPACE = 4184;
LC_PROP_TSTYLE_CHARSPACE = 4185;
LC_PROP_TSTYLE_STANDARD = 4186;
LC_PROP_TSTYLE_SHAPES = 4187;
LC_PROP_TSTYLE_WINFONT = 4188;
LC_PROP_TSTYLE_SOLID = 4189;
LC_PROP_TSTYLE_CLOSED = 4190;
LC_PROP_TSTYLE_HOLLOW = 4191;
LC_PROP_TSTYLE_BOLD = 4192;
LC_PROP_TSTYLE_ITALIC = 4193;
LC_PROP_TSTYLE_UNDERLINE = 4194;
LC_PROP_TSTYLE_STRIKEOUT = 4195;
LC_PROP_TSTYLE_MONOWIDTH = 4196;
LC_PROP_DIMST_ID = 4001;
LC_PROP_DIMST_NAME = 4002;
LC_PROP_DIMST_DESC = 4003;
LC_PROP_DIMST_DESCR = 4003;
LC_PROP_DIMST_DRW = 4004;
LC_PROP_DIMST_DELETED = 4005;
LC_PROP_DIMST_STANDARD = 4205;
LC_PROP_DIMST_ADEC = 4211;
LC_PROP_DIMST_ASZ = 4212;
LC_PROP_DIMST_AUNIT = 4213;
LC_PROP_DIMST_AZIN = 4214;
LC_PROP_DIMST_BLK1 = 4215;
LC_PROP_DIMST_BLK2 = 4216;
LC_PROP_DIMST_CEN = 4217;
LC_PROP_DIMST_CLRD = 4218;
LC_PROP_DIMST_CLRE = 4219;
LC_PROP_DIMST_CLRT = 4220;
LC_PROP_DIMST_DEC = 4221;
LC_PROP_DIMST_DSEP = 4222;
LC_PROP_DIMST_EXE = 4223;
LC_PROP_DIMST_EXO = 4224;
LC_PROP_DIMST_GAP = 4225;
LC_PROP_DIMST_LDRBLK = 4226;
LC_PROP_DIMST_LFAC = 4227;
LC_PROP_DIMST_LWD = 4228;
LC_PROP_DIMST_LWE = 4229;
LC_PROP_DIMST_POST = 4230;
LC_PROP_DIMST_RND = 4231;
LC_PROP_DIMST_SCALE = 4232;
LC_PROP_DIMST_TAD = 4233;
LC_PROP_DIMST_TIH = 4234;
LC_PROP_DIMST_TXT = 4235;
LC_PROP_DIMST_TXSTY = 4236;
LC_PROP_DIMST_TSTYLE = 4236;
LC_PROP_DIMST_LUNIT = 4237;
LC_PROP_DIMST_ZIN = 4238;
LC_PROP_PSTYLE_ID = 4001;
LC_PROP_PSTYLE_NAME = 4002;
LC_PROP_PSTYLE_DESC = 4003;
LC_PROP_PSTYLE_DESCR = 4003;
LC_PROP_PSTYLE_DRW = 4004;
LC_PROP_PSTYLE_DELETED = 4005;
LC_PROP_PSTYLE_STANDARD = 4265;
LC_PROP_PSTYLE_BLOCK = 4266;
LC_PROP_PSTYLE_BSCALE = 4267;
LC_PROP_PSTYLE_TSTYLE = 4268;
LC_PROP_PSTYLE_TH = 4269;
LC_PROP_PSTYLE_TWS = 4270;
LC_PROP_PSTYLE_PTMODE = 4271;
LC_PROP_PSTYLE_PTSIZE = 4272;
LC_PROP_PSTYLE_SNAP = 4273;
LC_PROP_PSTYLE_FIXED = 4274;
LC_PROP_MLSTYLE_ID = 4001;
LC_PROP_MLSTYLE_NAME = 4002;
LC_PROP_MLSTYLE_DESC = 4003;
LC_PROP_MLSTYLE_DESCR = 4003;
LC_PROP_MLSTYLE_DRW = 4004;
LC_PROP_MLSTYLE_DELETED = 4005;
LC_PROP_MLSTYLE_STANDARD = 4281;
LC_PROP_MLSTYLE_JOINTS = 4282;
LC_PROP_MLSTYLE_STARTLINE = 4283;
LC_PROP_MLSTYLE_STARTARC = 4284;
LC_PROP_MLSTYLE_ENDLINE = 4285;
LC_PROP_MLSTYLE_ENDARC = 4286;
LC_PROP_MLSTYLE_NLINES = 4287;
LC_PROP_MLSTYLE_ILINE = 4288;
LC_PROP_MLSTYLE_OFFSET = 4289;
LC_PROP_MLSTYLE_LTYPE = 4290;
LC_PROP_MLSTYLE_COLOR = 4291;
LC_PROP_IMAGE_ID = 4001;
LC_PROP_IMAGE_NAME = 4002;
LC_PROP_IMAGE_DESC = 4003;
LC_PROP_IMAGE_DESCR = 4003;
LC_PROP_IMAGE_DRW = 4004;
LC_PROP_IMAGE_DELETED = 4005;
LC_PROP_IMAGE_FILENAME = 4401;
LC_PROP_IMAGE_SIZE = 4402;
LC_PROP_IMAGE_WPIX = 4403;
LC_PROP_IMAGE_W = 4404;
LC_PROP_IMAGE_HPIX = 4405;
LC_PROP_IMAGE_H = 4406;
LC_PROP_IMAGE_CBIT = 4407;
LC_PROP_IMAGE_RGB = 4408;
LC_PROP_IMAGE_EMBEDDED = 4409;
LC_PROP_IMAGE_CREATED = 4410;
LC_PROP_IMAGE_COLORS = 4411;
LC_PROP_IMAGE_BITS = 4412;
LC_PROP_IMAGE_DIB = 4413;
LC_PROP_LFILL_ID = 4001;
LC_PROP_LFILL_NAME = 4002;
LC_PROP_LFILL_DESC = 4003;
LC_PROP_LFILL_DESCR = 4003;
LC_PROP_LFILL_DRW = 4004;
LC_PROP_LFILL_DELETED = 4005;
LC_PROP_BLOCK_ID = 4001;
LC_PROP_BLOCK_NAME = 4002;
LC_PROP_BLOCK_DESC = 4003;
LC_PROP_BLOCK_DESCR = 4003;
LC_PROP_BLOCK_DRW = 4004;
LC_PROP_BLOCK_DELETED = 4005;
LC_PROP_BLOCK_X = 4801;
LC_PROP_BLOCK_Y = 4802;
LC_PROP_BLOCK_UFSCALING = 4803;
LC_PROP_BLOCK_UNITS = 4804;
LC_PROP_BLOCK_UNITSCALE = 4810;
LC_PROP_BLOCK_MODEL = 4811;
LC_PROP_BLOCK_PAPER = 4812;
LC_PROP_BLOCK_LAYOUT = 4813;
LC_PROP_BLOCK_STANDARD = 4814;
LC_PROP_BLOCK_LAYOUTNAME = 4815;
LC_PROP_BLOCK_LAYOUTODHANDLE = 4816;
LC_PROP_BLOCK_LAYOUTORDER = 4817;
LC_PROP_BLOCK_HIDDEN = 4818;
LC_PROP_BLOCK_DIM = 4819;
LC_PROP_BLOCK_HATCH = 4820;
LC_PROP_BLOCK_NOBJ = 4821;
LC_PROP_BLOCK_NENTS = 4821;
LC_PROP_BLOCK_NSELOBJ = 4822;
LC_PROP_BLOCK_NSELENTS = 4822;
LC_PROP_BLOCK_ATTRIBS = 4827;
LC_PROP_BLOCK_XMIN = 4831;
LC_PROP_BLOCK_YMIN = 4832;
LC_PROP_BLOCK_XMAX = 4833;
LC_PROP_BLOCK_YMAX = 4834;
LC_PROP_BLOCK_XCEN = 4835;
LC_PROP_BLOCK_YCEN = 4836;
LC_PROP_BLOCK_DX = 4837;
LC_PROP_BLOCK_DY = 4838;
LC_PROP_BLOCK_VISLEF = 4839;
LC_PROP_BLOCK_VISBOT = 4840;
LC_PROP_BLOCK_VISRIG = 4841;
LC_PROP_BLOCK_VISTOP = 4842;
LC_PROP_BLOCK_SELXMIN = 4843;
LC_PROP_BLOCK_SELYMIN = 4844;
LC_PROP_BLOCK_SELXMAX = 4845;
LC_PROP_BLOCK_SELYMAX = 4846;
LC_PROP_BLOCK_SELXCEN = 4847;
LC_PROP_BLOCK_SELYCEN = 4848;
LC_PROP_SHAPE_ANGLE = 4849;
LC_PROP_PAPER_INCH = 4851;
LC_PROP_PAPER_X0 = 4852;
LC_PROP_PAPER_Y0 = 4853;
LC_PROP_PAPER_SIZE = 4854;
LC_PROP_PAPER_ORIENT = 4855;
LC_PROP_PAPER_W = 4856;
LC_PROP_PAPER_H = 4857;
LC_PROP_ENT_ID = 5001;
LC_PROP_ENT_KEY = 5002;
LC_PROP_ENT_COLOR = 5003;
LC_PROP_ENT_COLORI = 5004;
LC_PROP_ENT_COLORT = 5005;
LC_PROP_ENT_COLORBYLAYER = 5006;
LC_PROP_ENT_COLORBYBLOCK = 5007;
LC_PROP_ENT_FILLED = 5008;
LC_PROP_ENT_FILLING = 5008;
LC_PROP_ENT_SOLIDFILL = 5008;
LC_PROP_ENT_WIPEOUT = 5011;
LC_PROP_ENT_FCOLOR = 5012;
LC_PROP_ENT_FCOLORI = 5013;
LC_PROP_ENT_FCOLORT = 5014;
LC_PROP_ENT_FCOLORBYLAYER = 5015;
LC_PROP_ENT_FCOLORBYBLOCK = 5016;
LC_PROP_ENT_FALPHA = 5017;
LC_PROP_ENT_LINFILL = 5018;
LC_PROP_ENT_LAYER = 5020;
LC_PROP_ENT_LINETYPE = 5021;
LC_PROP_ENT_LTSCALE = 5022;
LC_PROP_ENT_LWEIGHT = 5023;
LC_PROP_ENT_LWIDTH = 5023;
LC_PROP_ENT_BLOCK = 5024;
LC_PROP_ENT_DRW = 5025;
LC_PROP_ENT_LOCKED = 5026;
LC_PROP_ENT_VISIBLE = 5027;
LC_PROP_ENT_HIDDEN = 5028;
LC_PROP_ENT_BLINK = 5029;
LC_PROP_ENT_TYPE = 5030;
LC_PROP_ENT_DELETED = 5031;
LC_PROP_ENT_IMMORTAL = 5032;
LC_PROP_ENT_SELECTED = 5033;
LC_PROP_ENT_PRIORITY = 5040;
LC_PROP_ENT_XDATAID = 5041;
LC_PROP_ENT_XDATAFLAGS = 5042;
LC_PROP_ENT_XDATASIZE = 5043;
LC_PROP_ENT_XDATA = 5044;
LC_PROP_ENT_XSTR = 5045;
LC_PROP_ENT_Z = 5051;
LC_PROP_ENT_XMIN = 5052;
LC_PROP_ENT_YMIN = 5053;
LC_PROP_ENT_XMAX = 5054;
LC_PROP_ENT_YMAX = 5055;
LC_PROP_ENT_XCEN = 5056;
LC_PROP_ENT_YCEN = 5057;
LC_PROP_ENT_DX = 5058;
LC_PROP_ENT_DY = 5059;
LC_PROP_ENT_LEN = 5060;
LC_PROP_POINT_STYLE = 5101;
LC_PROP_POINT_X = 5102;
LC_PROP_POINT_Y = 5103;
LC_PROP_POINT_SIZE = 5104;
LC_PROP_POINT_MODE = 5105;
LC_PROP_POINT_BANGLE = 5106;
LC_PROP_POINT_TDX = 5107;
LC_PROP_POINT_TDY = 5108;
LC_PROP_POINT_TANGLE = 5109;
LC_PROP_POINT_TEXT = 5110;
LC_PROP_POINT_TEXTLEN = 5111;
LC_PROP_PTARR_FILENAME = 5112;
LC_PROP_PTARR_FNAME = 5113;
LC_PROP_PTARR_DIR = 5114;
LC_PROP_PTARR_LOADED = 5115;
LC_PROP_PTARR_NUM = 5116;
LC_PROP_PTARR_NUMVIS = 5117;
LC_PROP_PTARR_TEXTVLIM = 5118;
LC_PROP_PTARR_VLIM10 = 5119;
LC_PROP_PTARR_VLIM100 = 5120;
LC_PROP_LINE_X0 = 5131;
LC_PROP_LINE_Y0 = 5132;
LC_PROP_LINE_Z0 = 5133;
LC_PROP_LINE_X1 = 5134;
LC_PROP_LINE_Y1 = 5135;
LC_PROP_LINE_Z1 = 5136;
LC_PROP_LINE_DX = 5137;
LC_PROP_LINE_DY = 5138;
LC_PROP_LINE_DZ = 5139;
LC_PROP_LINE_ANG = 5140;
LC_PROP_LINE_LEN = 5141;
LC_PROP_LINE_DSARROW0 = 5142;
LC_PROP_LINE_DSARROW1 = 5143;
LC_PROP_LINE_W0 = 5144;
LC_PROP_LINE_W1 = 5145;
LC_PROP_LINE_SOLID = 5146;
LC_PROP_XLINE_X0 = 5151;
LC_PROP_XLINE_Y0 = 5152;
LC_PROP_XLINE_ANG = 5154;
LC_PROP_XLINE_DIRX = 5155;
LC_PROP_XLINE_DIRY = 5156;
LC_PROP_XLINE_RAY = 5157;
LC_PROP_CIRCLE_X = 5201;
LC_PROP_CIRCLE_Y = 5202;
LC_PROP_CIRCLE_R = 5204;
LC_PROP_CIRCLE_RAD = 5204;
LC_PROP_CIRCLE_RADIUS = 5204;
LC_PROP_CIRCLE_DIAM = 5205;
LC_PROP_CIRCLE_LEN = 5206;
LC_PROP_CIRCLE_AREA = 5207;
LC_PROP_CIRCLE_ANG0 = 5208;
LC_PROP_CIRCLE_DIRCW = 5209;
LC_PROP_CIRCLE_RESOL = 5210;
LC_PROP_CIRC_X = 5201;
LC_PROP_CIRC_Y = 5202;
LC_PROP_CIRC_R = 5204;
LC_PROP_CIRC_RAD = 5204;
LC_PROP_CIRC_RADIUS = 5204;
LC_PROP_CIRC_DIAM = 5205;
LC_PROP_CIRC_LEN = 5206;
LC_PROP_CIRC_AREA = 5207;
LC_PROP_CIRC_ANG0 = 5208;
LC_PROP_CIRC_DIRCW = 5209;
LC_PROP_CIRC_RESOL = 5210;
LC_PROP_ARC_X = 5231;
LC_PROP_ARC_Y = 5232;
LC_PROP_ARC_R = 5234;
LC_PROP_ARC_RAD = 5234;
LC_PROP_ARC_RADIUS = 5234;
LC_PROP_ARC_ANG0 = 5235;
LC_PROP_ARC_ANGARC = 5236;
LC_PROP_ARC_ANGEND = 5237;
LC_PROP_ARC_X0 = 5238;
LC_PROP_ARC_Y0 = 5239;
LC_PROP_ARC_Z0 = 5240;
LC_PROP_ARC_XMID = 5241;
LC_PROP_ARC_YMID = 5242;
LC_PROP_ARC_XEND = 5243;
LC_PROP_ARC_YEND = 5244;
LC_PROP_ARC_ZEND = 5245;
LC_PROP_ARC_LEN = 5246;
LC_PROP_ARC_CHLEN = 5247;
LC_PROP_ARC_AREA = 5248;
LC_PROP_ARC_CCW = 5249;
LC_PROP_ARC_SECTOR = 5250;
LC_PROP_ARC_RESOL = 5251;
LC_PROP_ELL_X = 5261;
LC_PROP_ELL_Y = 5262;
LC_PROP_ELL_R1 = 5264;
LC_PROP_ELL_R2 = 5265;
LC_PROP_ELL_RATIO = 5266;
LC_PROP_ELL_ANGLE = 5267;
LC_PROP_ELL_ANG0 = 5268;
LC_PROP_ELL_ANGARC = 5269;
LC_PROP_ELL_ANGEND = 5270;
LC_PROP_ELL_X0 = 5271;
LC_PROP_ELL_Y0 = 5272;
LC_PROP_ELL_XEND = 5273;
LC_PROP_ELL_YEND = 5274;
LC_PROP_ELL_LEN = 5276;
LC_PROP_ELL_AREA = 5277;
LC_PROP_ELL_FULL = 5278;
LC_PROP_ELL_CCW = 5279;
LC_PROP_ELL_SECTOR = 5282;
LC_PROP_ELL_RESOL = 5283;
LC_PROP_PLINE_FIT = 5301;
LC_PROP_PLINE_CLOSED = 5302;
LC_PROP_PLINE_NVERS = 5303;
LC_PROP_PLINE_WIDTH = 5305;
LC_PROP_PLINE_LEN = 5306;
LC_PROP_PLINE_AREA = 5307;
LC_PROP_PLINE_CW = 5308;
LC_PROP_PLINE_CCW = 5309;
LC_PROP_PLINE_Z = 5310;
LC_PROP_PLINE_CONSTZ = 5311;
LC_PROP_PLINE_RESOLA = 5312;
LC_PROP_PLINE_RESOLS = 5313;
LC_PROP_PLINE_RADIUS = 5314;
LC_PROP_PLINE_CHAMFER = 5315;
LC_PROP_PLINE_HASANG0 = 5316;
LC_PROP_PLINE_ANG0 = 5317;
LC_PROP_PLINE_HASANG2 = 5318;
LC_PROP_PLINE_ANG2 = 5319;
LC_PROP_PLINE_WIPEOUT = 5325;
LC_PROP_MLINE_STYLE = 5351;
LC_PROP_MLINE_JUST = 5352;
LC_PROP_MLINE_SCALE = 5353;
LC_PROP_MLINE_NVERS = 5354;
LC_PROP_MLINE_CLOSED = 5355;
LC_PROP_MLINE_FIT = 5356;
LC_PROP_MLINE_LEN = 5357;
LC_PROP_MLINE_AREA = 5358;
LC_PROP_RECT_X = 5371;
LC_PROP_RECT_Y = 5372;
LC_PROP_RECT_W = 5374;
LC_PROP_RECT_H = 5375;
LC_PROP_RECT_ANGLE = 5376;
LC_PROP_RECT_R = 5377;
LC_PROP_RECT_RAD = 5377;
LC_PROP_RECT_RADIUS = 5377;
LC_PROP_RECT_CHAMFER = 5378;
LC_PROP_RECT_DIRCW = 5379;
LC_PROP_RECT_START = 5380;
LC_PROP_RECT_LEN = 5381;
LC_PROP_RECT_AREA = 5382;
LC_PROP_RECT_RESOL = 5383;
LC_PROP_RECT_GRID = 5384;
LC_PROP_RECT_GRNW = 5385;
LC_PROP_RECT_GRNH = 5386;
LC_PROP_RECT_GRDW = 5387;
LC_PROP_RECT_GRDH = 5388;
LC_PROP_CRECT_ID = 5390;
LC_PROP_CRECT_NAME = 5391;
LC_PROP_CRECT_X = 5392;
LC_PROP_CRECT_Y = 5393;
LC_PROP_CRECT_W = 5394;
LC_PROP_CRECT_H = 5395;
LC_PROP_CRECT_ANGLE = 5396;
LC_PROP_CRECT_LEN = 5398;
LC_PROP_CRECT_AREA = 5399;
LC_PROP_TEXT_STYLE = 5401;
LC_PROP_TEXT_STR = 5402;
LC_PROP_TEXT_STRT = 5403;
LC_PROP_TEXT_LEN = 5404;
LC_PROP_TEXT_ALIGN = 5405;
LC_PROP_TEXT_H = 5406;
LC_PROP_TEXT_X = 5407;
LC_PROP_TEXT_Y = 5408;
LC_PROP_TEXT_DX = 5409;
LC_PROP_TEXT_DY = 5410;
LC_PROP_TEXT_WSCALE = 5412;
LC_PROP_TEXT_ANGLE = 5413;
LC_PROP_TEXT_OBLIQUE = 5414;
LC_PROP_TEXT_CHARSPACE = 5415;
LC_PROP_TEXT_WRECT = 5416;
LC_PROP_TEXT_X0 = 5417;
LC_PROP_TEXT_Y0 = 5418;
LC_PROP_TEXT_XFIT = 5419;
LC_PROP_TEXT_YFIT = 5420;
LC_PROP_TEXT_UPDOWN = 5421;
LC_PROP_TEXT_BACKWARD = 5422;
LC_PROP_TEXT_RESOL = 5423;
LC_PROP_TEXTW_STYLE = 5431;
LC_PROP_TEXTW_STR = 5432;
LC_PROP_TEXTW_STRT = 5433;
LC_PROP_TEXTW_LEN = 5434;
LC_PROP_TEXTW_ALIGN = 5435;
LC_PROP_TEXTW_X = 5436;
LC_PROP_TEXTW_Y = 5437;
LC_PROP_TEXTW_H = 5438;
LC_PROP_TEXTW_DX = 5440;
LC_PROP_TEXTW_DY = 5441;
LC_PROP_TEXTW_WSCALE = 5442;
LC_PROP_TEXTW_ANGLE = 5443;
LC_PROP_MTEXT_STYLE = 5451;
LC_PROP_MTEXT_STR = 5452;
LC_PROP_MTEXT_LEN = 5453;
LC_PROP_MTEXT_ALIGN = 5454;
LC_PROP_MTEXT_X = 5455;
LC_PROP_MTEXT_Y = 5456;
LC_PROP_MTEXT_H = 5458;
LC_PROP_MTEXT_WSCALE = 5459;
LC_PROP_MTEXT_ANGLE = 5460;
LC_PROP_MTEXT_OBLIQUE = 5461;
LC_PROP_MTEXT_WRECT = 5462;
LC_PROP_MTEXT_HRECT = 5463;
LC_PROP_MTEXT_WRAPWIDTH = 5464;
LC_PROP_MTEXT_LINESPACE = 5465;
LC_PROP_MTEXT_CHARSPACE = 5466;
LC_PROP_MTEXT_MIRROR = 5467;
LC_PROP_MTEXT_RESOL = 5468;
LC_PROP_ATEXT_STYLE = 5481;
LC_PROP_ATEXT_STR = 5482;
LC_PROP_ATEXT_STRT = 5483;
LC_PROP_ATEXT_LEN = 5484;
LC_PROP_ATEXT_X = 5485;
LC_PROP_ATEXT_Y = 5486;
LC_PROP_ATEXT_R = 5487;
LC_PROP_ATEXT_RAD = 5487;
LC_PROP_ATEXT_RADIUS = 5487;
LC_PROP_ATEXT_ANGLE = 5488;
LC_PROP_ATEXT_ANGSTA = 5489;
LC_PROP_ATEXT_ANGEND = 5490;
LC_PROP_ATEXT_CW = 5491;
LC_PROP_ATEXT_H = 5492;
LC_PROP_ATEXT_WSCALE = 5493;
LC_PROP_ATEXT_CHARSPACE = 5494;
LC_PROP_ATEXT_ALIGN = 5495;
LC_PROP_ATEXT_RESOL = 5496;
LC_PROP_ATT_MODE = 5501;
LC_PROP_ATT_TSTYLE = 5502;
LC_PROP_ATT_TAG = 5503;
LC_PROP_ATT_PROMPT = 5504;
LC_PROP_ATT_VALUE = 5505;
LC_PROP_ATT_ALIGN = 5506;
LC_PROP_ATT_X = 5507;
LC_PROP_ATT_Y = 5508;
LC_PROP_ATT_H = 5510;
LC_PROP_ATT_WSCALE = 5511;
LC_PROP_ATT_ANGLE = 5512;
LC_PROP_ATT_OBLIQUE = 5513;
LC_PROP_ATT_X0 = 5514;
LC_PROP_ATT_Y0 = 5515;
LC_PROP_ATT_XFIT = 5516;
LC_PROP_ATT_YFIT = 5517;
LC_PROP_ATT_UPDOWN = 5518;
LC_PROP_ATT_BACKWARD = 5519;
LC_PROP_ATT_COLOR = 5521;
LC_PROP_ATT_LAYER = 5522;
LC_PROP_ATT_LINETYPE = 5523;
LC_PROP_ATT_LTSCALE = 5524;
LC_PROP_ATT_LWIDTH = 5525;
LC_PROP_ATT_INVIS = 5526;
LC_PROP_ATT_LOCKPOS = 5527;
LC_PROP_ATT_MTEXT = 5528;
LC_PROP_BLKREF_BLOCK = 5531;
LC_PROP_BLKREF_X = 5532;
LC_PROP_BLKREF_Y = 5533;
LC_PROP_BLKREF_SCALE = 5534;
LC_PROP_BLKREF_SCX = 5535;
LC_PROP_BLKREF_SCY = 5536;
LC_PROP_BLKREF_UFSCALE = 5537;
LC_PROP_BLKREF_ANGLE = 5538;
LC_PROP_BLKREF_ARNX = 5539;
LC_PROP_BLKREF_ARDX = 5540;
LC_PROP_BLKREF_ARNY = 5541;
LC_PROP_BLKREF_ARDY = 5542;
LC_PROP_BLKREF_ARANG = 5543;
LC_PROP_BLKREF_ATTRIBS = 5544;
LC_PROP_BLKREF_ONS_XY = 5545;
LC_PROP_BLKREF_ONS_SCALE = 5546;
LC_PROP_BLKREF_ONS_ANGLE = 5547;
LC_PROP_BLKREF_RETURN = 5548;
LC_PROP_IMGREF_IMAGE = 5551;
LC_PROP_IMGREF_XC = 5552;
LC_PROP_IMGREF_YC = 5553;
LC_PROP_IMGREF_W = 5554;
LC_PROP_IMGREF_H = 5555;
LC_PROP_IMGREF_WPIX = 5556;
LC_PROP_IMGREF_HPIX = 5557;
LC_PROP_IMGREF_SCALE = 5558;
LC_PROP_IMGREF_PIXELSIZE = 5558;
LC_PROP_IMGREF_SCALEX = 5560;
LC_PROP_IMGREF_SCALEY = 5561;
LC_PROP_IMGREF_SQPIX = 5562;
LC_PROP_IMGREF_ANGLE = 5564;
LC_PROP_IMGREF_BORDER = 5565;
LC_PROP_IMGREF_TRANSP = 5566;
LC_PROP_IMGREF_TRCOLOR = 5567;
LC_PROP_IMGREF_TRALPHA = 5568;
LC_PROP_IMGREF_GREY = 5569;
LC_PROP_IMGREF_FLIPHOR = 5570;
LC_PROP_IMGREF_FLIPVER = 5571;
LC_PROP_IMGREF_PATH = 5573;
LC_PROP_IMGREF_GP_X = 5574;
LC_PROP_IMGREF_GP_Y = 5575;
LC_PROP_IMGREF_GP_COLOR = 5576;
LC_PROP_IMGREF_GP_GRAY = 5577;
LC_PROP_IMGREF_UNSCALABLE = 5578;
LC_PROP_IMGREF_UNSSCALE = 5579;
LC_PROP_IMGREF_UNSALIGN = 5580;
LC_PROP_ECW_FILENAME = 5581;
LC_PROP_ECW_LOADED = 5582;
LC_PROP_ECW_WPIX = 5589;
LC_PROP_ECW_HPIX = 5590;
LC_PROP_ECW_CBIT = 5591;
LC_PROP_ECW_XMIN = 5583;
LC_PROP_ECW_YMIN = 5584;
LC_PROP_ECW_XMAX = 5585;
LC_PROP_ECW_YMAX = 5586;
LC_PROP_ECW_W = 5587;
LC_PROP_ECW_H = 5588;
LC_PROP_ECW_SCALEX = 5592;
LC_PROP_ECW_SCALEY = 5593;
LC_PROP_ECW_BORDER = 5594;
LC_PROP_CAMERA_X = 5601;
LC_PROP_CAMERA_Y = 5602;
LC_PROP_CAMERA_W = 5603;
LC_PROP_CAMERA_H = 5604;
LC_PROP_HATCH_NAME = 5631;
LC_PROP_HATCH_PATTERN = 5632;
LC_PROP_HATCH_SCALE = 5633;
LC_PROP_HATCH_ANGLE = 5634;
LC_PROP_HATCH_SIZE = 5635;
LC_PROP_HATCH_ASSOC = 5636;
LC_PROP_HATCH_SOLID = 5637;
LC_PROP_HATCH_CUSTOM = 5638;
LC_PROP_HATCH_NENTS = 5639;
LC_PROP_HATCH_NPT = 5640;
LC_PROP_HATCH_NLOOP = 5641;
LC_PROP_HATCH_NHPL = 5642;
LC_PROP_HATCH_IHPL = 5643;
LC_PROP_HATCH_FALPHA = 5644;
LC_PROP_HATCH_AREA = 5645;
LC_PROP_HPL_ANGLE = 5651;
LC_PROP_HPL_X0 = 5652;
LC_PROP_HPL_Y0 = 5653;
LC_PROP_HPL_DX = 5654;
LC_PROP_HPL_DY = 5655;
LC_PROP_HPL_NDASH = 5656;
LC_PROP_HPL_DASH1 = 5657;
LC_PROP_HPL_DASH2 = 5658;
LC_PROP_HPL_DASH3 = 5659;
LC_PROP_HPL_DASH4 = 5660;
LC_PROP_HPL_DASH5 = 5661;
LC_PROP_HPL_DASH6 = 5662;
LC_PROP_HPL_DASH7 = 5663;
LC_PROP_HPL_DASH8 = 5664;
LC_PROP_VPORT_LEF = 5703;
LC_PROP_VPORT_BOT = 5704;
LC_PROP_VPORT_RIG = 5705;
LC_PROP_VPORT_TOP = 5706;
LC_PROP_VPORT_BORDER = 5707;
LC_PROP_VPORT_W = 5711;
LC_PROP_VPORT_H = 5712;
LC_PROP_VPORT_VX = 5713;
LC_PROP_VPORT_VY = 5714;
LC_PROP_VPORT_VSCALE = 5715;
LC_PROP_VPORT_VANGLE = 5716;
LC_PROP_VPORT_FIXSCALE = 5717;
LC_PROP_BARC_XC = 5751;
LC_PROP_BARC_X = 5751;
LC_PROP_BARC_YC = 5752;
LC_PROP_BARC_Y = 5752;
LC_PROP_BARC_W = 5753;
LC_PROP_BARC_H = 5754;
LC_PROP_BARC_ANG = 5755;
LC_PROP_BARC_TYPE = 5756;
LC_PROP_BARC_CODE = 5757;
LC_PROP_BARC_TEXT = 5757;
LC_PROP_BARC_CHECKSUM = 5758;
LC_PROP_BARC_NCHARS = 5759;
LC_PROP_BARC_NUBITS = 5760;
LC_PROP_BARC_NARSIZE = 5761;
LC_PROP_BARC_WIDERATIO = 5762;
LC_PROP_BARC_QZONE = 5763;
LC_PROP_BARC_OFFSET = 5764;
LC_PROP_BARC_INVERT = 5765;
LC_PROP_BARC_HIDETEXT = 5766;
LC_PROP_BARC_TSTYLE = 5767;
LC_PROP_BARC_TEXTH = 5768;
LC_PROP_BARC_TEXTW = 5769;
LC_PROP_BARC_TEXTCS = 5770;
LC_PROP_BARC_TEXTALIGN = 5771;
LC_PROP_BARC_TEXTRES = 5772;
LC_PROP_BARC_ECLEVEL = 5773;
LC_PROP_BARC_MASKPAT = 5774;
LC_PROP_BARC_DATATYPE = 5775;
LC_PROP_BARC_SIZE = 5776;
LC_PROP_BARC_NBARS = 5777;
LC_PROP_BARC_NMODX = 5777;
LC_PROP_BARC_NMODY = 5778;
LC_PROP_ARR_X0 = 5801;
LC_PROP_ARR_Y0 = 5802;
LC_PROP_ARR_X1 = 5803;
LC_PROP_ARR_Y1 = 5804;
LC_PROP_ARR_ANG = 5805;
LC_PROP_ARR_LEN = 5806;
LC_PROP_ARR_W = 5807;
LC_PROP_ARR_SW = 5808;
LC_PROP_ARR_SL = 5809;
LC_PROP_ARR_TIME = 5810;
LC_PROP_ARR_SHARP = 5811;
LC_PROP_SPIR_X = 5821;
LC_PROP_SPIR_Y = 5822;
LC_PROP_SPIR_R = 5823;
LC_PROP_SPIR_RADIUS = 5823;
LC_PROP_SPIR_R2 = 5824;
LC_PROP_SPIR_RATIO = 5825;
LC_PROP_SPIR_ANGLE = 5826;
LC_PROP_SPIR_TURNS = 5827;
LC_PROP_SPIR_DIRCW = 5829;
LC_PROP_SPIR_CLOSED = 5830;
LC_PROP_SPIR_DSTEP = 5831;
LC_PROP_SPIR_RESOL = 5832;
LC_PROP_XREF_FILENAME = 5841;
LC_PROP_XREF_FNAME = 5842;
LC_PROP_XREF_PATH = 5843;
LC_PROP_XREF_X = 5844;
LC_PROP_XREF_Y = 5845;
LC_PROP_XREF_SCX = 5846;
LC_PROP_XREF_SCY = 5847;
LC_PROP_XREF_ANGLE = 5848;
LC_PROP_DIM_STYLE = 6001;
LC_PROP_DIM_MEAS = 6003;
LC_PROP_DIM_TEXT = 6004;
LC_PROP_DIMANG_STYLE = 6001;
LC_PROP_DIMANG_MEAS = 6003;
LC_PROP_DIMANG_TEXT = 6004;
LC_PROP_DIMALI_STYLE = 6001;
LC_PROP_DIMALI_MEAS = 6003;
LC_PROP_DIMALI_TEXT = 6004;
LC_PROP_DIMDIA_STYLE = 6001;
LC_PROP_DIMDIA_MEAS = 6003;
LC_PROP_DIMDIA_TEXT = 6004;
LC_PROP_DIMRAD_STYLE = 6001;
LC_PROP_DIMRAD_MEAS = 6003;
LC_PROP_DIMRAD_TEXT = 6004;
LC_PROP_DIMORD_STYLE = 6001;
LC_PROP_DIMORD_MEAS = 6003;
LC_PROP_DIMORD_TEXT = 6004;
LC_PROP_DIMROT_STYLE = 6001;
LC_PROP_DIMROT_MEAS = 6003;
LC_PROP_DIMROT_TEXT = 6004;
LC_PROP_DIMLIN_STYLE = 6001;
LC_PROP_DIMLIN_MEAS = 6003;
LC_PROP_DIMLIN_TEXT = 6004;
LC_PROP_DIMANG_3PNT = 6011;
LC_PROP_DIMANG_2LINE = 6012;
LC_PROP_DIMANG_CPX = 6013;
LC_PROP_DIMANG_CPY = 6014;
LC_PROP_DIMANG_DP1X = 6015;
LC_PROP_DIMANG_DP1Y = 6016;
LC_PROP_DIMANG_DP2X = 6017;
LC_PROP_DIMANG_DP2Y = 6018;
LC_PROP_DIMANG_L1P1X = 6021;
LC_PROP_DIMANG_L1P1Y = 6022;
LC_PROP_DIMANG_L1P2X = 6023;
LC_PROP_DIMANG_L1P2Y = 6024;
LC_PROP_DIMANG_DP3X = 6023;
LC_PROP_DIMANG_DP3Y = 6024;
LC_PROP_DIMANG_L2P1X = 6025;
LC_PROP_DIMANG_L2P1Y = 6026;
LC_PROP_DIMANG_L2P2X = 6027;
LC_PROP_DIMANG_L2P2Y = 6028;
LC_PROP_DIMANG_DP4X = 6027;
LC_PROP_DIMANG_DP4Y = 6028;
LC_PROP_DIMANG_APX = 6029;
LC_PROP_DIMANG_APY = 6030;
LC_PROP_DIMANG_EXT1 = 6031;
LC_PROP_DIMANG_EXT2 = 6032;
LC_PROP_DIMANG_RAD = 6033;
LC_PROP_DIMANG_TPOS = 6034;
LC_PROP_DIMALI_DP1X = 6051;
LC_PROP_DIMALI_DP1Y = 6052;
LC_PROP_DIMALI_DP2X = 6053;
LC_PROP_DIMALI_DP2Y = 6054;
LC_PROP_DIMALI_TPX = 6055;
LC_PROP_DIMALI_TPY = 6056;
LC_PROP_DIMDIA_CPX = 6071;
LC_PROP_DIMDIA_CPY = 6072;
LC_PROP_DIMDIA_RPX = 6073;
LC_PROP_DIMDIA_RPY = 6074;
LC_PROP_DIMDIA_FPX = 6075;
LC_PROP_DIMDIA_FPY = 6076;
LC_PROP_DIMDIA_TPX = 6077;
LC_PROP_DIMDIA_TPY = 6078;
LC_PROP_DIMRAD_CPX = 6086;
LC_PROP_DIMRAD_CPY = 6087;
LC_PROP_DIMRAD_RPX = 6088;
LC_PROP_DIMRAD_RPY = 6089;
LC_PROP_DIMRAD_TPX = 6090;
LC_PROP_DIMRAD_TPY = 6091;
LC_PROP_DIMORD_XORD = 6101;
LC_PROP_DIMORD_DPX = 6102;
LC_PROP_DIMORD_DPY = 6103;
LC_PROP_DIMORD_TPX = 6104;
LC_PROP_DIMORD_TPY = 6105;
LC_PROP_DIMROT_ANGLE = 6121;
LC_PROP_DIMROT_DP1X = 6122;
LC_PROP_DIMROT_DP1Y = 6123;
LC_PROP_DIMROT_DP2X = 6124;
LC_PROP_DIMROT_DP2Y = 6125;
LC_PROP_DIMROT_TPX = 6126;
LC_PROP_DIMROT_TPY = 6127;
LC_PROP_DIMLIN_ANGLE = 6121;
LC_PROP_DIMLIN_DP1X = 6122;
LC_PROP_DIMLIN_DP1Y = 6123;
LC_PROP_DIMLIN_DP2X = 6124;
LC_PROP_DIMLIN_DP2Y = 6125;
LC_PROP_DIMLIN_TPX = 6126;
LC_PROP_DIMLIN_TPY = 6127;
LC_PROP_LEADER_STYLE = 6202;
LC_PROP_LEADER_TEXT = 6203;
LC_PROP_LEADER_ALIGN = 6204;
LC_PROP_LEADER_TPX = 6205;
LC_PROP_LEADER_TPY = 6206;
LC_PROP_LEADER_APX = 6207;
LC_PROP_LEADER_APY = 6208;
LC_PROP_LEADER_P1X = 6209;
LC_PROP_LEADER_P1Y = 6210;
LC_PROP_LEADER_P0X = 6211;
LC_PROP_LEADER_P0Y = 6212;
LC_PROP_LEADER_LDIST = 6213;
LC_PROP_LEADER_VERT = 6214;
LC_PROP_LEADER_CORNER = 6215;
LC_PROP_LEADER_TBW = 6216;
LC_PROP_LEADER_TBH = 6217;
LC_PROP_FACE_X0 = 6281;
LC_PROP_FACE_Y0 = 6282;
LC_PROP_FACE_Z0 = 6283;
LC_PROP_FACE_X1 = 6284;
LC_PROP_FACE_Y1 = 6285;
LC_PROP_FACE_Z1 = 6286;
LC_PROP_FACE_X2 = 6287;
LC_PROP_FACE_Y2 = 6288;
LC_PROP_FACE_Z2 = 6289;
LC_PROP_FACE_X3 = 6290;
LC_PROP_FACE_Y3 = 6291;
LC_PROP_FACE_Z3 = 6292;
LC_PROP_FACE_EDGE1 = 6293;
LC_PROP_FACE_EDGE2 = 6294;
LC_PROP_FACE_EDGE3 = 6295;
LC_PROP_FACE_EDGE4 = 6296;
LC_PROP_FACE_EDGE = 6297;
LC_PROP_RPLAN_LEN = 6301;
LC_PROP_RPLAN_MARKARC = 6302;
LC_PROP_RPLAN_MARKSIZE = 6303;
LC_PROP_RPLAN_NVERS = 6311;
LC_PROP_RPLAN_IVER = 6312;
LC_PROP_SHAPE_NENTS = 6341;
LC_PROP_SHAPE_NPATHS = 6342;
LC_PROP_VER_X = 10001;
LC_PROP_VER_Y = 10002;
LC_PROP_VER_Z = 10003;
LC_PROP_VER_FIX = 10006;
LC_PROP_VER_RADIUS = 10007;
LC_PROP_VER_WEIGHT = 10008;
LC_PROP_VER_INDEX = 10009;
LC_PROP_VER_FIRST = 10010;
LC_PROP_VER_LAST = 10011;
LC_PROP_VER_W0 = 10012;
LC_PROP_VER_W1 = 10013;
LC_PROP_VER_SEGDX = 10014;
LC_PROP_VER_SEGDY = 10015;
LC_PROP_VER_SEGANG = 10016;
LC_PROP_VER_SEGLEN = 10017;
LC_PROP_VER_BULGE = 10021;
LC_PROP_VER_SEGARCANG = 10022;
LC_PROP_VER_SEGARCH = 10023;
LC_PROP_VER_SEGARCLEN = 10024;
LC_PROP_VER_SEGARCRAD = 10025;
LC_PROP_RPVER_X = 10041;
LC_PROP_RPVER_Y = 10042;
LC_PROP_RPVER_ANGLE = 10043;
LC_PROP_RPVER_DIRANG = 10044;
LC_PROP_RPVER_R = 10045;
LC_PROP_RPVER_L1 = 10046;
LC_PROP_RPVER_L2 = 10047;
LC_PROP_RPVER_ANGL1 = 10048;
LC_PROP_RPVER_ANGARC = 10049;
LC_PROP_RPVER_ANGL2 = 10050;
LC_PROP_RPVER_BISEC = 10051;
LC_PROP_RPVER_DOMER = 10052;
LC_PROP_RPVER_ARCLEN = 10053;
LC_PROP_RPVER_CURLEN = 10054;
LC_PROP_RPVER_LINE1 = 10055;
LC_PROP_RPVER_T1 = 10056;
LC_PROP_RPVER_T2 = 10057;
LC_PROP_RPVER_LINE2 = 10058;
LC_PROP_RPVER_DIST1 = 10059;
LC_PROP_RPVER_DIST2 = 10060;
LC_PROP_XDATA_BOOL = 10901;
LC_PROP_XDATA_INT = 10902;
LC_PROP_XDATA_FLOAT = 10903;
LC_PROP_XDATA_STR = 10907;
LC_PROP_CMDWND_ENABLE = 11001;
LC_PROP_PROPWND_ENABLE = 11002;
LC_PROP_PROPWND_DIVCOEF = 11003;
LC_PROP_EVENT_TYPE = 12001;
LC_PROP_EVENT_APPPRM1 = 12002;
LC_PROP_EVENT_APPPRM2 = 12003;
LC_PROP_EVENT_WND = 12004;
LC_PROP_EVENT_DRW = 12005;
LC_PROP_EVENT_BLOCK = 12006;
LC_PROP_EVENT_ENTITY = 12007;
LC_PROP_EVENT_ENT = 12007;
LC_PROP_EVENT_HCMD = 12008;
LC_PROP_EVENT_HDC = 12009;
LC_PROP_EVENT_MODE = 12010;
LC_PROP_EVENT_INT1 = 12021;
LC_PROP_EVENT_INT2 = 12022;
LC_PROP_EVENT_INT3 = 12023;
LC_PROP_EVENT_INT4 = 12024;
LC_PROP_EVENT_INT5 = 12025;
LC_PROP_EVENT_INT6 = 12026;
LC_PROP_EVENT_FLOAT1 = 12031;
LC_PROP_EVENT_FLOAT2 = 12032;
LC_PROP_EVENT_FLOAT3 = 12033;
LC_PROP_EVENT_FLOAT4 = 12034;
LC_PROP_EVENT_FLOAT5 = 12035;
LC_PROP_EVENT_FLOAT6 = 12036;
LC_PROP_EVENT_STR1 = 12041;
LC_PROP_EVENT_STR2 = 12042;
LC_EVENT_HELP = 101;
LC_EVENT_PAINT = 102;
LC_EVENT_WNDVIEW = 103;
LC_EVENT_MOUSEMOVE = 105;
LC_EVENT_LBDOWN = 106;
LC_EVENT_LBUP = 107;
LC_EVENT_LBDBLCLK = 108;
LC_EVENT_RBDOWN = 109;
LC_EVENT_RBUP = 110;
LC_EVENT_KEYDOWN = 111;
LC_EVENT_VIEWBLOCK = 112;
LC_EVENT_EXTENTS = 113;
LC_EVENT_SNAP = 114;
LC_EVENT_MAGNIFIER = 115;
LC_EVENT_NAVIGATOR = 116;
LC_EVENT_CMDINWND = 117;
LC_EVENT_GRID = 118;
LC_EVENT_OSNAP = 119;
LC_EVENT_PTRACK = 120;
LC_EVENT_ORTHO = 121;
LC_EVENT_FILE = 131;
LC_EVENT_ADDENTITY = 132;
LC_EVENT_WNDPROP = 133;
LC_EVENT_DRWPROP = 134;
LC_EVENT_ENTPROP = 135;
LC_EVENT_ENTMOVE = 136;
LC_EVENT_ENTSCALE = 137;
LC_EVENT_ENTROTATE = 138;
LC_EVENT_ENTMIRROR = 139;
LC_EVENT_ENTERASE = 140;
LC_EVENT_DRAWIMAGE = 141;
LC_EVENT_SELECT = 151;
LC_EVENT_PICKENT = 152;
LC_EVENT_ADDSTR = 153;
LC_EVENT_ADDCMD = 154;
LC_EVENT_CCMD = 155;
LC_EVENT_SELENT1 = 161;
LC_EVENT_SELENTS = 162;
LC_EVENT_GRIPMOVE = 163;
LC_EVENT_GRIPDRAG = 164;
LC_EVENT_GRIPPAINT = 165;
LC_EVENT_DRAWCURSOR = 166;
LC_EVENT_RULERCORNER = 167;
LC_EVENT_WNDTAB = 171;
LC_EVENT_CMD1 = 212;
LC_EVENT_LAYERS = 303;
LC_CCMD_CREATE = 1;
LC_CCMD_DESTROY = 2;
LC_CCMD_START = 3;
LC_CCMD_FINISH = 4;
LC_CCMD_LBDOWN = 5;
LC_CCMD_LBUP = 6;
LC_CCMD_RBDOWN = 7;
LC_CCMD_RBUP = 8;
LC_CCMD_MOUSEMOVE = 9;
LC_CCMD_PAINT = 10;
LC_CCMD_SNAP = 11;

LiteCAD_dll = {$IFDEF WIN64}'LiteCAD64.dll'{$ELSE}'LiteCAD.dll'{$ENDIF};

Procedure lcEventSetProc (EventType: Integer; pFunc: Pointer; Prm1: Integer; Prm2: IntPtr); stdcall; external LiteCAD_dll;
Procedure lcEventReturnCode (code: Integer); stdcall; external LiteCAD_dll;
Function lcEventsEnable (b: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcInitialize : Integer; stdcall; external LiteCAD_dll;
Function lcUninitialize (bSaveConfig: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcStrAdd (szTag: PWideChar; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcStrSet (szTag: PWideChar; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcStrGet (szTag: PWideChar): PWideChar; stdcall; external LiteCAD_dll;
Function lcStrFileLoad (szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcStrFileSave (szFileName: PWideChar; szLanguage: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPropGetBool (hObject: IntPtr; idProp: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropGetInt (hObject: IntPtr; idProp: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropGetFloat (hObject: IntPtr; idProp: Integer): Double; stdcall; external LiteCAD_dll;
Function lcPropGetStr (hObject: IntPtr; idProp: Integer): PWideChar; stdcall; external LiteCAD_dll;
Function lcPropGetStr2 (hObject: IntPtr; idProp: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropGetChar (iChar: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropGetHandle (hObject: IntPtr; idProp: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPropPutBool (hObject: IntPtr; idProp: Integer; bValue: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropPutInt (hObject: IntPtr; idProp: Integer; Value: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropPutFloat (hObject: IntPtr; idProp: Integer; Value: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPropPutStr (hObject: IntPtr; idProp: Integer; szValue: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPropPutHandle (hObject: IntPtr; idProp: Integer; hValue: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcCreateWindow (hWndParent: IntPtr; Style: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDeleteWindow (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndResize (hLcWnd: IntPtr; Left: Integer; Top: Integer; Width: Integer; Height: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndRedraw (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndSetFocus (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndSetExtents (hLcWnd: IntPtr; Xmin: Double; Ymin: Double; Xmax: Double; Ymax: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndZoomRect (hLcWnd: IntPtr; Left: Double; Bottom: Double; Right: Double; Top: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndZoomScale (hLcWnd: IntPtr; Scal: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndZoomMove (hLcWnd: IntPtr; DX: Double; DY: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndZoomPos (hLcWnd: IntPtr; Xc: Double; Yc: Double; PixSize: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndGetCursorCoord (hLcWnd: IntPtr; pXwin: Pinteger; pYwin: Pinteger; pXdrw: Pdouble; pYdrw: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcWndExeCommand (hLcWnd: IntPtr; Command: Integer; CmdParam: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndOnClose (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndSetBlock (hLcWnd: IntPtr; hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndSetProps (hLcWnd: IntPtr; hPropWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndSetCmdwin (hLcWnd: IntPtr; hCmdLine: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndSetBasePoint (hLcWnd: IntPtr; bState: Integer; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndGetEntByPoint (hLcWnd: IntPtr; Xwin: Integer; Ywin: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcWndGetEntByPoint2 (hLcWnd: IntPtr; X: Double; Y: Double; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcWndGetEntsByPoint (hLcWnd: IntPtr; Xwin: Integer; Ywin: Integer; nMaxEnts: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndGetEntsByRect (hLcWnd: IntPtr; Lef: Double; Bot: Double; Rig: Double; Top: Double; bCross: Integer; nMaxEnts: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndGetEntity (iEnt: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcWndGetEntByID (hLcWnd: IntPtr; Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcWndGetEntByIDH (hLcWnd: IntPtr; szId: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcWndGetEntByKey (hLcWnd: IntPtr; Key: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcWndEmulator (hLcWnd: IntPtr; Mode: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndMagnifier (hLcWnd: IntPtr; bOn: Integer; Width: Integer; Height: Integer; Zoom: Integer; Flags: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndHoverText (hLcWnd: IntPtr; szText: PWideChar; X: Integer; Y: Integer; Align: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndMessage (hLcWnd: IntPtr; szText: PWideChar; uType: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndCoordFromDrw (hLcWnd: IntPtr; Xdrw: Double; Ydrw: Double; pXwin: Pinteger; pYwin: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcWndCoordToDrw (hLcWnd: IntPtr; Xwin: Integer; Ywin: Integer; pXdrw: Pdouble; pYdrw: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcCoordDrwToWnd (hLcWnd: IntPtr; Xdrw: Double; Ydrw: Double; pXwnd: Pinteger; pYwnd: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcCoordWndToDrw (hLcWnd: IntPtr; Xwnd: Integer; Ywnd: Integer; pXdrw: Pdouble; pYdrw: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcFontGetFirst : IntPtr; stdcall; external LiteCAD_dll;
Function lcFontGetNext (hFont: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcFontAddRes (szFontName: PWideChar; hModule: IntPtr; idResource: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcFontAddFile (szFontName: PWideChar; szFilename: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcFontAddBin (szFontName: PWideChar; hData: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcFontGetChar (hFont: IntPtr; CharCode: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcFontGetName (szFilename: PWideChar): PWideChar; stdcall; external LiteCAD_dll;
Function lcProgressCreate (hLcWnd: IntPtr; W: Integer; H: Integer; szTitle: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcProgressSetText (szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcProgressStart (MinVal: Integer; MaxVal: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcProgressSetPos (Val: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcProgressInc : Integer; stdcall; external LiteCAD_dll;
Function lcProgressDelete : Integer; stdcall; external LiteCAD_dll;
Function lcQuadCreate : IntPtr; stdcall; external LiteCAD_dll;
Function lcQuadDelete (hQuad: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcQuadSet (hQuad: IntPtr; x0: Double; y0: Double; x1: Double; y1: Double; x2: Double; y2: Double; x3: Double; y3: Double): Integer; stdcall; external LiteCAD_dll;
Function lcQuadTransXYtoUV (hQuad: IntPtr; X: Double; Y: Double; pU: Pdouble; pV: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcQuadTransUVtoXY (hQuad: IntPtr; U: Double; V: Double; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcQuadContains (hQuad: IntPtr; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcGridCreate : IntPtr; stdcall; external LiteCAD_dll;
Function lcGridDelete (hGrid: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcGridSet (hGrid: IntPtr; X0: Double; Y0: Double; W: Double; H: Double; Nx: Integer; Ny: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcGridSetDest (hGrid: IntPtr; Ix: Integer; Iy: Integer; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcGridUpdate (hGrid: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcGridTrans (hGrid: IntPtr; X: Double; Y: Double; pXdest: Pdouble; pYdest: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcGridGetNode (hGrid: IntPtr; bDest: Integer; Ix: Integer; Iy: Integer; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcGridGetCell (hGrid: IntPtr; X: Double; Y: Double; pIx: Pinteger; pIy: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcGridSetView (hGrid: IntPtr; Mode: Integer; hLcWnd: IntPtr; ColLine: IntPtr; ColNode: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_Clear : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_FileLoad (szFileName: PWideChar; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_FileSave (szFileName: PWideChar; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_Update : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_AddPoint (X: Double; Y: Double; Z: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_AddPoint2 (X: Double; Y: Double; Z: Double; szName: PWideChar; szDescr: PWideChar; iColor: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_LoadPoints (szFileName: PWideChar; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_DelDupPoints (Delta: Double): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_DelPoint (hPnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GetFirstPoint : IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_GetNextPoint (hPnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_GetPointI (Index: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_AddTrian (hPnt1: IntPtr; hPnt2: IntPtr; hPnt3: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_AddTrianI (iPnt1: Integer; iPnt: Integer; iPnt3: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_DelTrian (hTrian: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_DelTriansByPline (hPline: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GetFirstTrian : IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_GetNextTrian (hTrian: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_NormTrians : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_Triangulate : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_BndClear : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_BndAuto (MaxDist: Double; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_BndAddPoint (hPnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_BndUpdate : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_BndGetPoint (iPnt: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_BndFileSave (szFileName: PWideChar; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_BndOffset (dX: Double; dY: Double; dZ: Double): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GenIsolines : Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GetFirstIso : IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_GetNextIso (hIso: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_IsoGetHeight (hIso: IntPtr): Double; stdcall; external LiteCAD_dll;
Function lcTIN_IsoGetNumVers (hIso: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_IsoIsClosed (hIso: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_IsoMakeLabels (hIso: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GetIsoLabel (iLabel: Integer; pX: Pdouble; pY: Pdouble; pAngle: Pdouble; pAlign: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_IsoGetFirstVer (hIso: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_IsoGetNextVer (hIso: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcTIN_IsoGetVerXY (hVer: IntPtr; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GenFill (hLcWnd: IntPtr; Zstep: Double; PixelSize: Double): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GetZ (X: Double; Y: Double; pZ: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_InterLine (X0: Double; Y0: Double; X1: Double; Y1: Double): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_InterGetPoint (iPnt: Integer; pX: Pdouble; pY: Pdouble; pZ: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcTIN_GetNearPoint (X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcCreateCmdwin (hWndParent: IntPtr; Left: Integer; Top: Integer; Width: Integer; Height: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcCmdwinResize (hCmdLine: IntPtr; Left: Integer; Top: Integer; Width: Integer; Height: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcCmdwinUpdate (hCmdLine: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcCreateProps (hWndParent: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDeleteProps (hPropWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPropsResize (hPropWnd: IntPtr; Left: Integer; Top: Integer; Width: Integer; Height: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPropsUpdate (hPropWnd: IntPtr; bSelChanged: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcCreateStatbar (hWndParent: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDeleteStatbar (hStatbar: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcStatbarResize (hStatbar: IntPtr; Left: Integer; Top: Integer; Width: Integer; Height: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcStatbarCell (hStatbar: IntPtr; Id: Integer; Pos: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcStatbarText (hStatbar: IntPtr; Id: Integer; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcStatbarRedraw (hStatbar: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDgGetValue (hWnd: IntPtr; Lef: Integer; Top: Integer; szTitle: PWideChar; szPrompt: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcHelp (szTopic: PWideChar): Integer; stdcall; external LiteCAD_dll;
Procedure lcGetPolarPoint (x0: Double; y0: Double; Angle: Double; Dist: Double; pOutX: Pdouble; pOutY: Pdouble); stdcall; external LiteCAD_dll;
Procedure lcGetPolarPrm (x1: Double; y1: Double; x2: Double; y2: Double; pAngle: Pdouble; pDist: Pdouble); stdcall; external LiteCAD_dll;
Function lcGetClientSize (hWnd: IntPtr; pWidth: Pinteger; pHeight: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcGetErrorCode : Integer; stdcall; external LiteCAD_dll;
Function lcGetErrorStr : PWideChar; stdcall; external LiteCAD_dll;
Function lcGetStr (Mode: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcGetDrwXData (szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcCreateCommand (hLcWnd: IntPtr; Id: Integer; szTitle: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcCmdExit (hCmd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcCmdCursorText (hCmd: IntPtr; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcCmdMessage (hCmd: IntPtr; szText: PWideChar; uType: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcCmdResetLastPt (hCmd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcTIS_InitLibrary (szLicenseKey: PWideChar; bErrMsg: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcTIS_CloseLibrary : Integer; stdcall; external LiteCAD_dll;
Function lcCameraConnect (szName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcCameraDisconnect : Integer; stdcall; external LiteCAD_dll;
Function lcCameraShot : Integer; stdcall; external LiteCAD_dll;
Function lcCreateDrawing : IntPtr; stdcall; external LiteCAD_dll;
Function lcDeleteDrawing (hDrw: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwNew (hDrw: IntPtr; szFileName: PWideChar; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwLoad (hDrw: IntPtr; szFileName: PWideChar; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwLoadMem (hDrw: IntPtr; hMem: IntPtr; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwInsert (hDrw: IntPtr; szFileName: PWideChar; Overwrite: Integer; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwCopy (hDrw: IntPtr; hDrwSrc: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwSave (hDrw: IntPtr; szFileName: PWideChar; bBak: Integer; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwSaveMem (hDrw: IntPtr; hMem: IntPtr; MemSize: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwSaveCB (hDrw: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwLoadCB (hDrw: IntPtr; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwAddLayer (hDrw: IntPtr; szName: PWideChar; szColor: PWideChar; hLtype: IntPtr; Lwidth: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddLayer2 (hDrw: IntPtr; szName: PWideChar; hFromLayer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddLinetype (hDrw: IntPtr; szName: PWideChar; szDefinition: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddLinetypeF (hDrw: IntPtr; szName: PWideChar; szFileName: PWideChar; szLtypeName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddTextStyle (hDrw: IntPtr; szName: PWideChar; szFontName: PWideChar; bWinFont: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddDimStyle (hDrw: IntPtr; szName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddMlineStyle (hDrw: IntPtr; szName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddPntStyle (hDrw: IntPtr; szName: PWideChar; hBlock: IntPtr; BlockScale: Double; hTStyle: IntPtr; TextHeight: Double; TextWidth: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddFilling (hDrw: IntPtr; szName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddImage (hDrw: IntPtr; szName: PWideChar; szFileName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddImage2 (hDrw: IntPtr; szName: PWideChar; Width: Integer; Height: Integer; nBits: Integer; hData: IntPtr; bTopDown: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddImage3 (hDrw: IntPtr; szName: PWideChar; hMem: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddImageCam (hDrw: IntPtr; szName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddBlock (hDrw: IntPtr; szName: PWideChar; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddBlockFromFile (hDrw: IntPtr; szName: PWideChar; szFileName: PWideChar; Overwrite: Integer; hwParent: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddBlockFromDrw (hDrw: IntPtr; szName: PWideChar; hDrw2: IntPtr; Overwrite: Integer; hwParent: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddBlockFile (hDrw: IntPtr; szName: PWideChar; szFileName: PWideChar; Overwrite: Integer; hwParent: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddBlockPaper (hDrw: IntPtr; szName: PWideChar; PaperSize: Integer; Orient: Integer; Width: Double; Height: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwAddBlockCopy (hDrw: IntPtr; szName: PWideChar; hSrcBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwDeleteObject (hDrw: IntPtr; hObject: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwDeleteUnused (hDrw: IntPtr; ObjType: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwCountObjects (hDrw: IntPtr; ObjType: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwSortObjects (hDrw: IntPtr; ObjType: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwUpdateWinFonts (hDrw: IntPtr; hTStyle: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwUpdateBlkRefs (hDrw: IntPtr; hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwGetFirstObject (hDrw: IntPtr; ObjType: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetNextObject (hDrw: IntPtr; hObject: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetObjectByID (hDrw: IntPtr; ObjType: Integer; Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetObjectByIDH (hDrw: IntPtr; ObjType: Integer; szId: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetObjectByName (hDrw: IntPtr; ObjType: Integer; szName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetEntByID (hDrw: IntPtr; Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetEntByIDH (hDrw: IntPtr; szId: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwGetEntByKey (hDrw: IntPtr; Key: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcDrwClearXData (hDrw: IntPtr; ObjType: Integer; Mode: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwPurge (hDrw: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcDrwExplode (hDrw: IntPtr; Mode: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwSetLimits (hDrw: IntPtr; Xmin: Double; Ymin: Double; Xmax: Double; Ymax: Double): Integer; stdcall; external LiteCAD_dll;
Function lcDrwUndoRecord (hDrw: IntPtr; Mode: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcDrwUndo (hDrw: IntPtr; bRedo: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsClear (hDrw: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsAdd (hDrw: IntPtr; ID: Integer; Lef: Double; Bot: Double; Width: Double; Height: Double): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsDivide (hDrw: IntPtr; NumX: Integer; NumY: Integer; bClearExist: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsGetFirst (hDrw: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcCRectsGetNext (hDrw: IntPtr; hCRect: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcCRectsGetWithID (hDrw: IntPtr; Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcCRectsActive (hDrw: IntPtr; hCRect: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsGetActive (hDrw: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcCRectsDelete (hDrw: IntPtr; hCRect: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsSave (hDrw: IntPtr; hCRect: IntPtr; szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcCRectsBitmap (hDrw: IntPtr; hCRect: IntPtr; szFileName: PWideChar; PixelSize: Double): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSetViewRect (hBlock: IntPtr; Xcen: Double; Ycen: Double; Width: Double; Height: Double): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSetViewRect2 (hBlock: IntPtr; Lef: Double; Bot: Double; Rig: Double; Top: Double): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSetPaperSize (hBlock: IntPtr; PaperSize: Integer; Orient: Integer; Width: Double; Height: Double): Integer; stdcall; external LiteCAD_dll;
Function lcBlockRasterize (hBlock: IntPtr; szFileName: PWideChar; Xmin: Double; Ymin: Double; Xmax: Double; Ymax: Double; ImgW: Integer; ImgH: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockRasterizeMem (hBlock: IntPtr; hMem: IntPtr; Xmin: Double; Ymin: Double; Xmax: Double; Ymax: Double; ImgW: Integer; ImgH: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockUpdate (hBlock: IntPtr; bUpdEnts: Integer; hNewEnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockMove (hBlock: IntPtr; dX: Double; dY: Double; bUpdate: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockScale (hBlock: IntPtr; X: Double; Y: Double; Scale: Double; bUpdate: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockRotate (hBlock: IntPtr; X: Double; Y: Double; Angle: Double; bUpdate: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockMirror (hBlock: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; bUpdate: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockClear (hBlock: IntPtr; hLayer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockPurge (hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSortEnts (hBlock: IntPtr; bByLayers: Integer; hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSortEnts2 (hBlock: IntPtr; idEnts: IntPtr; nEnts: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockAddPoint (hBlock: IntPtr; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddPoint2 (hBlock: IntPtr; X: Double; Y: Double; PtMode: Integer; PtSize: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddPoint3d (hBlock: IntPtr; X: Double; Y: Double; Z: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddPtArray (hBlock: IntPtr; szFileName: PWideChar; hWnd: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddXline (hBlock: IntPtr; X: Double; Y: Double; Angle: Double; bRay: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddXline2P (hBlock: IntPtr; X: Double; Y: Double; X2: Double; Y2: Double; bRay: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddLine (hBlock: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddLineDir (hBlock: IntPtr; X: Double; Y: Double; Angle: Double; Dist: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddLineTan (hBlock: IntPtr; hEnt1: IntPtr; hEnt2: IntPtr; Mode: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddPolyline (hBlock: IntPtr; FitType: Integer; bClosed: Integer; bFilled: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddRPolygon (hBlock: IntPtr; nVers: Integer; Xc: Double; Yc: Double; R: Double; Ang0: Double; bInscribed: Integer; bFilled: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddSpline (hBlock: IntPtr; bClosed: Integer; bFilled: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddBezier (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddMline (hBlock: IntPtr; FitType: Integer; bClosed: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddRect (hBlock: IntPtr; Xc: Double; Yc: Double; Width: Double; Height: Double; Angle: Double; bFilled: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddRect2 (hBlock: IntPtr; Left: Double; Bottom: Double; Width: Double; Height: Double; Rad: Double; bFilled: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddCircle (hBlock: IntPtr; X: Double; Y: Double; Radius: Double; bFilled: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddArc (hBlock: IntPtr; X: Double; Y: Double; Radius: Double; StartAngle: Double; ArcAngle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddArc3P (hBlock: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; X3: Double; Y3: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddFillet (hBlock: IntPtr; hEnt1: IntPtr; hEnt2: IntPtr; Radius: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddEllipse (hBlock: IntPtr; X: Double; Y: Double; R1: Double; R2: Double; RotAngle: Double; StartAngle: Double; ArcAngle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddText (hBlock: IntPtr; szText: PWideChar; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddText2 (hBlock: IntPtr; szText: PWideChar; X: Double; Y: Double; Align: Integer; H: Double; WScale: Double; RotAngle: Double; Oblique: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddText3 (hBlock: IntPtr; szText: PWideChar; X1: Double; Y1: Double; X2: Double; Y2: Double; Align: Integer; HW: Double; Oblique: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddTextWin (hBlock: IntPtr; szText: PWideChar; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddTextWin2 (hBlock: IntPtr; szText: PWideChar; X: Double; Y: Double; Align: Integer; H: Double; WScale: Double; RotAngle: Double; Oblique: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddMText (hBlock: IntPtr; szText: PWideChar; X: Double; Y: Double; WrapWidth: Double; Align: Integer; RotAngle: Double; H: Double; WScale: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddArcText (hBlock: IntPtr; szText: PWideChar; X: Double; Y: Double; Radius: Double; StartAngle: Double; bClockwise: Integer; H: Double; WScale: Double; Align: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddBlockRef (hBlock: IntPtr; hRefBlock: IntPtr; X: Double; Y: Double; Scal: Double; Angle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddBlockRefID (hBlock: IntPtr; idRefBlock: Integer; X: Double; Y: Double; Scal: Double; Angle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddBlockRefIDH (hBlock: IntPtr; szIdRefBlock: PWideChar; X: Double; Y: Double; Scal: Double; Angle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddAttDef (hBlock: IntPtr; Mode: Integer; szTag: PWideChar; szPrompt: PWideChar; szDefVal: PWideChar; X: Double; Y: Double; Align: Integer; H: Double; WScale: Double; RotAngle: Double; Oblique: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddXref (hBlock: IntPtr; szFileName: PWideChar; X: Double; Y: Double; ScalX: Double; ScalY: Double; Angle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddImageRef (hBlock: IntPtr; hImage: IntPtr; X: Double; Y: Double; Width: Double; Height: Double; bBorder: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddImageRefUns (hBlock: IntPtr; hImage: IntPtr; X: Double; Y: Double; Scale: Double; Align: Integer; bBorder: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddImagePlace (hBlock: IntPtr; Id: Integer; X: Double; Y: Double; Width: Double; Height: Double; bBorder: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddEcw (hBlock: IntPtr; szFileName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddBarcode (hBlock: IntPtr; BarType: Integer; Xc: Double; Yc: Double; Width: Double; Height: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddHatch (hBlock: IntPtr; szFileName: PWideChar; szPatName: PWideChar; Scal: Double; Angle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddViewport (hBlock: IntPtr; Lef: Double; Bot: Double; Width: Double; Height: Double; DrwPntX: Double; DrwPntY: Double; DrwScale: Double; DrwAngle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddFace (hBlock: IntPtr; Flags: Integer; x0: Double; y0: Double; z0: Double; x1: Double; y1: Double; z1: Double; x2: Double; y2: Double; z2: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddFace4 (hBlock: IntPtr; Flags: Integer; x0: Double; y0: Double; z0: Double; x1: Double; y1: Double; z1: Double; x2: Double; y2: Double; z2: Double; x3: Double; y3: Double; z3: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddLeader (hBlock: IntPtr; szText: PWideChar; Xt: Double; Yt: Double; LandDist: Double; Xa: Double; Ya: Double; Attach: Integer; Align: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimLin (hBlock: IntPtr; X0: Double; Y0: Double; X1: Double; Y1: Double; Xt: Double; Yt: Double; Angle: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimHor (hBlock: IntPtr; X0: Double; Y0: Double; X1: Double; Y1: Double; Yt: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimVer (hBlock: IntPtr; X0: Double; Y0: Double; X1: Double; Y1: Double; Xt: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimAli (hBlock: IntPtr; X0: Double; Y0: Double; X1: Double; Y1: Double; Xt: Double; Yt: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimAli2 (hBlock: IntPtr; X0: Double; Y0: Double; X1: Double; Y1: Double; Dt: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimOrd (hBlock: IntPtr; Xd: Double; Yd: Double; Xt: Double; Yt: Double; bX: Integer; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimRad (hBlock: IntPtr; Xc: Double; Yc: Double; Xr: Double; Yr: Double; Xt: Double; Yt: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimRad2 (hBlock: IntPtr; Xc: Double; Yc: Double; R: Double; Angle: Double; TextOff: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimDia (hBlock: IntPtr; Xc: Double; Yc: Double; Xr: Double; Yr: Double; Xt: Double; Yt: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimDia2 (hBlock: IntPtr; Xc: Double; Yc: Double; R: Double; Angle: Double; TextOff: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimAng (hBlock: IntPtr; Xc: Double; Yc: Double; X1: Double; Y1: Double; X2: Double; Y2: Double; Xa: Double; Ya: Double; TextPos: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddDimAng2 (hBlock: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; X3: Double; Y3: Double; X4: Double; Y4: Double; Xa: Double; Ya: Double; TextPos: Double; szText: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddRPlan (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddRPlan2 (hBlock: IntPtr; hStartEnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddArrow (hBlock: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddSpiral (hBlock: IntPtr; Xc: Double; Yc: Double; R: Double; Turns: Double; bDirCW: Integer; bClosed: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddCamview (hBlock: IntPtr; Lef: Double; Bot: Double; Width: Double; Height: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddClone (hBlock: IntPtr; hEnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockBeginShape (hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockAddShape (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockAddShapeSel (hBlock: IntPtr; bErase: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockRepEllipse (hBlock: IntPtr; hEll: IntPtr; pRetType: Pinteger): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockJoinAll (hBlock: IntPtr; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockCopyLayer (hBlock: IntPtr; hLayerSrc: IntPtr; hLayerDest: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockGetFirstEnt (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetNextEnt (hBlock: IntPtr; hEnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetLastEnt (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetPrevEnt (hBlock: IntPtr; hEnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetEntByID (hBlock: IntPtr; Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetEntByIDH (hBlock: IntPtr; szId: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetEntByKey (hBlock: IntPtr; Key: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetBlkRefByTag (hBlock: IntPtr; hBlockAtt: IntPtr; szTag: PWideChar; szValue: PWideChar; bSelect: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockUnselect (hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelectEnt (hBlock: IntPtr; hEntity: IntPtr; bSelect: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelErase (hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelMove (hBlock: IntPtr; dX: Double; dY: Double; bCopy: Integer; bNewSelect: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelScale (hBlock: IntPtr; X0: Double; Y0: Double; Scal: Double; bCopy: Integer; bNewSelect: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelRotate (hBlock: IntPtr; X0: Double; Y0: Double; Angle: Double; bCopy: Integer; bNewSelect: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelMirror (hBlock: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; bCopy: Integer; bNewSelect: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelExplode (hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelSplit (hBlock: IntPtr; nParts: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelJoin (hBlock: IntPtr; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockSelAlign (hBlock: IntPtr; Mode: Integer; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSelBlock (hBlock: IntPtr; szName: PWideChar; X: Double; Y: Double; Mode: Integer; bOverwrite: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetFirstSel (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockGetNextSel (hBlock: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlockOrderByLayers (hBlock: IntPtr; hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockSortTSP (hBlock: IntPtr; hLayer: IntPtr; hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlockGetJumpsLen (hBlock: IntPtr; hLayer: IntPtr; hWnd: IntPtr): Double; stdcall; external LiteCAD_dll;
Function lcLayerClear (hLayer: IntPtr; hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcLayerCopyProps (hLayer: IntPtr; hFromLayer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcFillSetLine (hFill: IntPtr; iLine: Integer; Dist: Double; Angle: Double; W: Double): Integer; stdcall; external LiteCAD_dll;
Function lcMLStyleAddLine (hStyle: IntPtr; Offset: Double; szColor: PWideChar; hLtype: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcMLStyleDelLine (hStyle: IntPtr; iLine: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcMLStyleSortLines (hStyle: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntErase (hEnt: IntPtr; bErase: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcEntMove (hEnt: IntPtr; dX: Double; dY: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntAlign (hEnt: IntPtr; Alignment: Integer; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntScale (hEnt: IntPtr; X0: Double; Y0: Double; Scal: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntRotate (hEnt: IntPtr; X0: Double; Y0: Double; Angle: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntMirror (hEnt: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntExplode (hEnt: IntPtr; bSelect: Integer; bErase: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcEntSplit (hEnt: IntPtr; nParts: Integer; bSelectNew: Integer; bDeleteEnt: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcEntBreak (hEnt: IntPtr; X: Double; Y: Double; Delta: Double; bSelectNew: Integer; bDeleteEnt: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcEntOffset (hEnt: IntPtr; Dist: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntExtend (hEnt: IntPtr; hEntEdge: IntPtr; bApparent: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcEntToTop (hEnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntToBottom (hEnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntToAbove (hEnt: IntPtr; hEnt2: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntToUnder (hEnt: IntPtr; hEnt2: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntGetGrip (hEnt: IntPtr; iGrip: Integer; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcEntPutGrip (hEnt: IntPtr; iGrip: Integer; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcEntUpdate (hEnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntCopyBase (hEnt: IntPtr; hEntFrom: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntXData (hEnt: IntPtr; Id: Integer; Flags: Integer; nBytes: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcEntContainEnt (hEnt: IntPtr; hEnt2: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntCrossEnt (hEnt: IntPtr; hEnt2: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntReverse (hEnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcEntGetPoint (hEnt: IntPtr; Dist: Double; pX: Pdouble; pY: Pdouble; pAngle: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcEntGetDist (hEnt: IntPtr; X: Double; Y: Double; pX2: Pdouble; pY2: Pdouble; pDist: Pdouble): Double; stdcall; external LiteCAD_dll;
Function lcEntTransform (hEnt: IntPtr; hTransform: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcIntersection (hEnt: IntPtr; hEnt2: IntPtr; Apparent: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcInterGetPoint (iPoint: Integer; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcLineGetPoint (hLine: IntPtr; Mode: Integer; Dist: Double; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcPlineAddVer (hPline: IntPtr; hVer: IntPtr; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineAddVer2 (hPline: IntPtr; hVer: IntPtr; X: Double; Y: Double; Param: Double; W0: Double; W1: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineAddVerDir (hPline: IntPtr; hVer: IntPtr; Ang: Double; Length: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineEnd (hPline: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlineFromPtbuf (hPline: IntPtr; hPtbuf: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlineFromMpgon (hPline: IntPtr; hMpgon: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlineFromFile (hPline: IntPtr; szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPlineDeleteVer (hPline: IntPtr; hVer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlineGetFirstVer (hPline: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineGetNextVer (hPline: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineGetLastVer (hPline: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineGetPrevVer (hPline: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineGetVer (hPline: IntPtr; Index: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineGetVerPt (hPline: IntPtr; X: Double; Y: Double; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineGetSeg (hPline: IntPtr; X: Double; Y: Double; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcPlineReverse (hPline: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlineSetStartVer (hPline: IntPtr; hVer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlineContainPoint (hPline: IntPtr; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPlineGetRoundPrm (hPline: IntPtr; hVer: IntPtr; px0: Pdouble; py0: Pdouble; pBulge: Pdouble; px1: Pdouble; py1: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcPlineGetPoint (hPline: IntPtr; Dist: Double; pX: Pdouble; pY: Pdouble; pAngle: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcPlineGetPointOpp (hPline: IntPtr; Dist: Double; pX: Pdouble; pY: Pdouble; pAngle: Pdouble; pX2: Pdouble; pY2: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcPlineGetDist (hPline: IntPtr; X: Double; Y: Double; pX2: Pdouble; pY2: Pdouble; pDist: Pdouble): Double; stdcall; external LiteCAD_dll;
Function lcPlineMakeArrow (hPline: IntPtr; Hline: Double; Harr: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPlineSplitBySI (hPline: IntPtr; bSelect: Integer; bErase: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcBezierAddVer (hBez: IntPtr; hVer: IntPtr; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcBezierEnd (hBez: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBezierSetVerPrm (hBez: IntPtr; hVer: IntPtr; Side: Integer; Len: Double; Ang: Double): Integer; stdcall; external LiteCAD_dll;
Function lcMlineAddVer (hMline: IntPtr; hVer: IntPtr; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineAddVerDir (hMline: IntPtr; hVer: IntPtr; Ang: Double; Length: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineDeleteVer (hMline: IntPtr; hVer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcMlineGetFirstVer (hMline: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineGetNextVer (hMline: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineGetLastVer (hMline: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineGetPrevVer (hMline: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineGetVer (hMline: IntPtr; Index: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineGetVerPt (hMline: IntPtr; X: Double; Y: Double; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineGetSeg (hMline: IntPtr; X: Double; Y: Double; Delta: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcMlineReverse (hMline: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcRPlanAddVer (hRPlan: IntPtr; X: Double; Y: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcRPlanSetCurve (hVer: IntPtr; Radius: Double; LenClot1: Double; LenClot2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcRPlanSetPos (hVer: IntPtr; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcRPlanDeleteVer (hRPlan: IntPtr; hVer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcRPlanGetFirstVer (hRPlan: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcRPlanGetNextVer (hRPlan: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcRPlanGetLastVer (hRPlan: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcRPlanGetPrevVer (hRPlan: IntPtr; hVer: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcRPlanGetVer (hRPlan: IntPtr; Index: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcRPlanGetPoint (hRPlan: IntPtr; Dist: Double; pX: Pdouble; pY: Pdouble; pAngle: Pdouble; pSide: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcRPlanGetDist (hRPlan: IntPtr; X: Double; Y: Double; pX2: Pdouble; pY2: Pdouble; pDist: Pdouble; pOffset: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcRPlanWriteCSV (hRPlan: IntPtr; szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcXlinePutDir (hXline: IntPtr; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcRectGetPolyline (hRect: IntPtr; pX: Pdouble; pY: Pdouble; pBulge: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcImgRefGetPixel (hImgRef: IntPtr; iX: Integer; iY: Integer; pX: Pdouble; pY: Pdouble; pColor: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcImgRefResize (hImgRef: IntPtr; NewWidth: Integer; NewHeight: Integer; Method: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcHatchSetPattern (hHatch: IntPtr; szFileName: PWideChar; szPatName: PWideChar; Scal: Double; Angle: Double): Integer; stdcall; external LiteCAD_dll;
Function lcHatchBoundStart (hHatch: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcHatchBoundPoint (hHatch: IntPtr; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcHatchBoundEntity (hHatch: IntPtr; hEnt: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcHatchBoundEndLoop (hHatch: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcHatchBoundEnd (hHatch: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcHatchPatStart (hHatch: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcHatchPatLine (hHatch: IntPtr; Angle: Double; x0: Double; y0: Double; dx: Double; dy: Double; nDash: Integer; L0: Double; L1: Double; L2: Double; L3: Double; L4: Double; L5: Double; L6: Double; L7: Double): Integer; stdcall; external LiteCAD_dll;
Function lcHatchPatEnd (hHatch: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcHatchGetLoopSize (hHatch: IntPtr; iLoop: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcHatchGetPoint (hHatch: IntPtr; iPnt: Integer; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcHatchGetEnt (hHatch: IntPtr; Mode: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcVportSetView (hVport: IntPtr; Xcen: Double; Ycen: Double; Scal: Double; Angle: Double): Integer; stdcall; external LiteCAD_dll;
Function lcVportLayerDlg (hVport: IntPtr; hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcVportLayerCmd (hVport: IntPtr; Cmd: Integer; hLayer: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcBlkRefAddAtt (hBlockRef: IntPtr; szTag: PWideChar; szValue: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlkRefGetFirstAtt (hBlockRef: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlkRefGetNextAtt (hBlockRef: IntPtr; hAttrib: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlkRefGetAtt (hBlockRef: IntPtr; szTag: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcBlkRefGetAttVal (hBlockRef: IntPtr; szTag: PWideChar): PWideChar; stdcall; external LiteCAD_dll;
Function lcBlkRefPutAttVal (hBlockRef: IntPtr; szTag: PWideChar; szValue: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcShapeAddEnt (hShape: IntPtr; hEnt: IntPtr; bErase: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcShapeEnd (hShape: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcShapeGetFirstEnt (hShape: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcShapeGetNextEnt (hShape: IntPtr; hEnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcShapeGetLastEnt (hShape: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcShapeGetPrevEnt (hShape: IntPtr; hEnt: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcColorIsRGB (szColor: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcColorGetRed (szColor: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcColorGetGreen (szColor: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcColorGetBlue (szColor: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcColorGetIndex (szColor: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcColorToVal (szColor: PWideChar; pbRGB: Pinteger; pIndex: Pinteger; pR: Pinteger; pG: Pinteger; pB: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcColorSetPalette (Index: Integer; R: Integer; G: Integer; B: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcColorGetPalette (Index: Integer; pR: Pinteger; pG: Pinteger; pB: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcColorSavePalette (szFileName: PWideChar; hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcColorLoadPalette (szFileName: PWideChar; hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcImageSetPixelRGB (hImage: IntPtr; X: Integer; Y: Integer; Red: Integer; Green: Integer; Blue: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcImageSetPixelI (hImage: IntPtr; X: Integer; Y: Integer; iColor: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcImageGetPixelRGB (hImage: IntPtr; X: Integer; Y: Integer; pRed: Pinteger; pGreen: Pinteger; pBlue: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcImageGetPixelI (hImage: IntPtr; X: Integer; Y: Integer; piColor: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcImageSetPalColor (hImage: IntPtr; iColor: Integer; Red: Integer; Green: Integer; Blue: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcImageGetPalColor (hImage: IntPtr; iColor: Integer; pRed: Pinteger; pGreen: Pinteger; pBlue: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcImageLoad (hImage: IntPtr; szFilename: PWideChar; hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcImageLoadDIB (hImage: IntPtr; hDib2: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcImageLoadCamera (hImage: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcImageCopyQuad (hImage: IntPtr; hImageSrc: IntPtr; W: Integer; H: Integer; x0: Double; y0: Double; x1: Double; y1: Double; x2: Double; y2: Double; x3: Double; y3: Double): Integer; stdcall; external LiteCAD_dll;
Function lcImageProc (hImage: IntPtr; Mode: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcFilletSetLines (L1x0: Double; L1y0: Double; L1x1: Double; L1y1: Double; L2x0: Double; L2y0: Double; L2x1: Double; L2y1: Double): Integer; stdcall; external LiteCAD_dll;
Function lcFillet (Rad: Double; Bis: Double; Tang: Double): Integer; stdcall; external LiteCAD_dll;
Function lcFilletGetPoint (iPnt: Integer; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcExpEntity (hEnt: IntPtr; Flags: Integer; bUnrotate: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcExpGetPline (Delta: Double): Integer; stdcall; external LiteCAD_dll;
Function lcExpGetVertex (pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcGbrLoad (hLcWnd: IntPtr; szFileName0: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcGbrClose (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPlugGetOption (szFileName: PWideChar; szKey: PWideChar): PWideChar; stdcall; external LiteCAD_dll;
Function lcPlugGetOption2 (szFileName: PWideChar; szKey: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPlugSetOption (szFileName: PWideChar; szKey: PWideChar; szValue: PWideChar; bSave: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPrintSetup (hWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPrintLayout (hBlock: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPrintBlock (hBlock: IntPtr; X: Double; Y: Double; W: Double; H: Double; Scale: Double; PapLef: Double; PapTop: Double; Options: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcXDataBegin : IntPtr; stdcall; external LiteCAD_dll;
Function lcXDataEnd (hData: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcXDataClear (hData: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcXDataSet (hData: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcMru_EnableFileExt (szFileExt: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcMru_Load (szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcMru_Save : Integer; stdcall; external LiteCAD_dll;
Function lcMru_AddFile (szFileName: PWideChar; bFileHasView: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcMru_SetImage (szFileName: PWideChar; pImgBuf: Pointer; ImgSize: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcMru_HasImage (szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcMru_SetViewRect (szFileName: PWideChar; Xmin: Double; Ymin: Double; Xmax: Double; Ymax: Double): Integer; stdcall; external LiteCAD_dll;
Function lcMru_GetViewRect (szFileName: PWideChar; pXmin: Pdouble; pYmin: Pdouble; pXmax: Pdouble; pYmax: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcMru_Dialog (hWnd: IntPtr; hIcon: IntPtr; szFileName: Pointer): Integer; stdcall; external LiteCAD_dll;
Function lcWndTabClear (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndTabAdd (hLcWnd: IntPtr; TabID: Integer; szLabel: PWideChar; szTipText: PWideChar; hObject: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcWndTabSelect (hLcWnd: IntPtr; TabID: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndPaperEnable (hLcWnd: IntPtr; bEnable: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndPaperSetSize (hLcWnd: IntPtr; Size: Integer; Orient: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcWndPaperSetSize2 (hLcWnd: IntPtr; Width: Double; Height: Double): Integer; stdcall; external LiteCAD_dll;
Function lcWndPaperSetPos (hLcWnd: IntPtr; Left: Double; Bottom: Double): Integer; stdcall; external LiteCAD_dll;
Function lcGripClear (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcGripAdd (hLcWnd: IntPtr; hObj: IntPtr; iGrip: Integer; Typ: Integer; X: Double; Y: Double; Ang: Double; X0: Double; Y0: Double): Integer; stdcall; external LiteCAD_dll;
Function lcGripSet (hLcWnd: IntPtr; hObj: IntPtr; iGrip: Integer; X: Double; Y: Double; Ang: Double; X0: Double; Y0: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PenCreate (hLcWnd: IntPtr; Id: Integer; Color: IntPtr; Width: Double; PenStyle: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_PenSelect (hLcWnd: IntPtr; hPen: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PenSelectID (hLcWnd: IntPtr; IdPen: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_BrushCreate (hLcWnd: IntPtr; Id: Integer; Color: IntPtr; Pattern: Integer; Alpha: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_BrushSelect (hLcWnd: IntPtr; hBrush: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_BrushSelectID (hLcWnd: IntPtr; IdBrush: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawPtbuf (hLcWnd: IntPtr; hPtbuf: IntPtr; bClosed: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawMpgon (hLcWnd: IntPtr; hMpgon: IntPtr; bFill: Integer; bBorder: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawImage (hLcWnd: IntPtr; hImage: IntPtr; X: Double; Y: Double; PixelSize: Double; Transp: Integer; TVal: Integer; hPtbuf: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawImage2 (hLcWnd: IntPtr; hImage: IntPtr; X: Double; Y: Double; W: Double; H: Double; Transp: Integer; TVal: Integer; hPtbuf: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawText (hLcWnd: IntPtr; X: Double; Y: Double; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawText2 (hLcWnd: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; Align: Integer; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawTextBC (hLcWnd: IntPtr; hMpgon: IntPtr; Gap: Double; Height: Double; Align: Integer; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawArcText (hLcWnd: IntPtr; szText: PWideChar; X: Double; Y: Double; Rad: Double; Ang0: Double; bCW: Integer; H: Double; WScale: Double; Align: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawHatch (hLcWnd: IntPtr; hHatch: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawPoint (hLcWnd: IntPtr; X: Double; Y: Double; PtMode: Integer; PtSize: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawLine (hLcWnd: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawXline (hLcWnd: IntPtr; X: Double; Y: Double; Angle: Double; bRay: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawRect (hLcWnd: IntPtr; Xc: Double; Yc: Double; Width: Double; Height: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawRect2 (hLcWnd: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawPickBox (hLcWnd: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawTIN (hLcWnd: IntPtr; hTIN: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawGrid (hLcWnd: IntPtr; hGrid: IntPtr; bDest: Integer; ColLine: IntPtr; ColNode: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_DrawCPrompt (hLcWnd: IntPtr; X: Integer; Y: Integer; Align: Integer; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Procedure lcPaint_SetPixel (hDC: IntPtr; X: Integer; Y: Integer; Color: IntPtr); stdcall; external LiteCAD_dll;
Function lcPaint_CreatePtbuf : IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_DeletePtbuf (hPtbuf: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufClear (hPtbuf: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddPoint (hPtbuf: IntPtr; X: Double; Y: Double; Prm1: Double; Prm2: Double; IntPrm: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddPoint2 (hPtbuf: IntPtr; X: Double; Y: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddPointP (hPtbuf: IntPtr; Angle: Double; Dist: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddLine (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddLineP (hPtbuf: IntPtr; X: Double; Y: Double; Angle: Double; Dist: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddCircle (hPtbuf: IntPtr; Xc: Double; Yc: Double; R: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddCircle2 (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddCircle3 (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; X3: Double; Y3: Double; bInside: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArc (hPtbuf: IntPtr; Xc: Double; Yc: Double; R: Double; StartAngle: Double; ArcAngle: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArc3p (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; X3: Double; Y3: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcSDE (hPtbuf: IntPtr; Xs: Double; Ys: Double; DirAng: Double; Xe: Double; Ye: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcSDAR (hPtbuf: IntPtr; Xs: Double; Ys: Double; DirAng: Double; AngArc: Double; R: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcSER (hPtbuf: IntPtr; Xs: Double; Ys: Double; Xe: Double; Ye: Double; Radius: Double; bClockwise: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcSEL (hPtbuf: IntPtr; Xs: Double; Ys: Double; Xe: Double; Ye: Double; ArcLen: Double; bClockwise: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcSEA (hPtbuf: IntPtr; Xs: Double; Ys: Double; Xe: Double; Ye: Double; AngArc: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcSEB (hPtbuf: IntPtr; Xs: Double; Ys: Double; Xe: Double; Ye: Double; Bulge: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcCSE (hPtbuf: IntPtr; Xc: Double; Yc: Double; Xs: Double; Ys: Double; Xe: Double; Ye: Double; bClockwise: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcCSA (hPtbuf: IntPtr; Xc: Double; Yc: Double; Xs: Double; Ys: Double; AngArc: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcCSL (hPtbuf: IntPtr; Xc: Double; Yc: Double; Xs: Double; Ys: Double; ChordLen: Double; bClockwise: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddArcCRAA (hPtbuf: IntPtr; Xc: Double; Yc: Double; R: Double; AngStart: Double; AngEnd: Double; bClockwise: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddEllipse (hPtbuf: IntPtr; Xc: Double; Yc: Double; Rmaj: Double; Rmin: Double; RotAng: Double; StartAng: Double; ArcAng: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddEllipse2 (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddRect (hPtbuf: IntPtr; Xc: Double; Yc: Double; W: Double; H: Double; Angle: Double; R: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddRect2 (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; R: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddRect3 (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; W: Double; Align: Integer; R: Double; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddWline (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double; W: Double; Align: Integer; bArc: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufAddPtbuf (hPtbuf: IntPtr; hPtbuf2: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufGetPoint (hPtbuf: IntPtr; Mode: Integer; pX: Pdouble; pY: Pdouble): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufGetPoint2 (hPtbuf: IntPtr; Mode: Integer; pX: Pdouble; pY: Pdouble; pPrm1: Pdouble; pPrm2: Pdouble; pIntPrm: Pinteger): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufInterpolate (hPtbuf: IntPtr; bClosed: Integer; hPtbufDest: IntPtr; Mode: Integer; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufMove (hPtbuf: IntPtr; dx: Double; dy: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufRotate (hPtbuf: IntPtr; Xc: Double; Yc: Double; Angle: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufScale (hPtbuf: IntPtr; Xc: Double; Yc: Double; ScaleX: Double; ScaleY: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufMirror (hPtbuf: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_PtbufCopy (hPtbuf: IntPtr; hPtbufDest: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_CreateMpgon : IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_DeleteMpgon (hMpgon: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonClear (hMpgon: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonAddPgon (hMpgon: IntPtr; hPtbuf: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonAddText (hMpgon: IntPtr; hFont: IntPtr; X: Double; Y: Double; szText: PWideChar; Resol: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonAddBarcode (hMpgon: IntPtr; BarType: Integer; Xc: Double; Yc: Double; Width: Double; Height: Double; szText: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonMove (hMpgon: IntPtr; dx: Double; dy: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonRotate (hMpgon: IntPtr; Xc: Double; Yc: Double; Angle: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonScale (hMpgon: IntPtr; Xc: Double; Yc: Double; ScaleX: Double; ScaleY: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonMirror (hMpgon: IntPtr; X1: Double; Y1: Double; X2: Double; Y2: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_MpgonCopy (hMpgon: IntPtr; hMpgonDest: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_HatchGen (hMpgon: IntPtr; hHatch: IntPtr; Dist: Double; Angle: Double; Gap: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageAdd (Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_ImageDelete (hImage: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageGetFirst : IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_ImageGetNext (hImage: IntPtr): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_ImageGetByID (Id: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_ImageLoad (hImage: IntPtr; szFileName: PWideChar): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageCopy (hImage: IntPtr; hImageDest: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageCreate (hImage: IntPtr; Width: Integer; Height: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageSetPixel (hImage: IntPtr; X: Integer; Y: Integer; R: Integer; G: Integer; B: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageFlip (hImage: IntPtr; bHor: Integer; bVert: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageRotate (hImage: IntPtr; Angle: Double): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageGray (hImage: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageResize (hImage: IntPtr; NewWidth: Integer; NewHeight: Integer; ResizeFilter: Integer): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_ImageGetPtbuf (hImage: IntPtr; RotAngle: Double): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_FontOpenLC (szFontName: PWideChar): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_FontOpenTT (szFontName: PWideChar; bBold: Integer; bItalic: Integer): IntPtr; stdcall; external LiteCAD_dll;
Function lcPaint_FontClose (hFont: IntPtr): Integer; stdcall; external LiteCAD_dll;
Function lcPaint_FontSelect (hLcWnd: IntPtr; hFont: IntPtr): Integer; stdcall; external LiteCAD_dll;

implementation
end.
